<?php

/**
 * ncare_scripts description
 * @return [type] [description]
 */
function ncare_scripts() {

    /**
     * all css files
    */

    wp_enqueue_style( 'ncare-fonts', ncare_fonts_url(), array(), time() );
    if( is_rtl() ){
        wp_enqueue_style( 'bootstrap-rtl', NCARE_THEME_CSS_DIR.'bootstrap-rtl.css', array() );
    }else{
        wp_enqueue_style( 'bootstrap', NCARE_THEME_CSS_DIR.'bootstrap.min.css', array() );
    }
    wp_enqueue_style( 'animate', NCARE_THEME_CSS_DIR . 'animate.css', [] );
    wp_enqueue_style( 'slick', NCARE_THEME_CSS_DIR . 'slick.css', [] );
    wp_enqueue_style( 'swiper-bundle', NCARE_THEME_CSS_DIR . 'swiper-bundle.css', [] );
    wp_enqueue_style( 'spacing', NCARE_THEME_CSS_DIR . 'spacing.css', [] );
    wp_enqueue_style( 'font-awesome-pro', NCARE_THEME_CSS_DIR . 'font-awesome-pro.css', [] );
    wp_enqueue_style( 'magnific-popup', NCARE_THEME_CSS_DIR . 'magnific-popup.css', [] );
    wp_enqueue_style( 'ncare-flaticon', NCARE_THEME_CSS_DIR . 'flaticon.css', [] );
    wp_enqueue_style( 'ncare-core', NCARE_THEME_CSS_DIR . 'ncare-core.css', [], time() );
    wp_enqueue_style( 'ncare-unit', NCARE_THEME_CSS_DIR . 'ncare-unit.css', [], time() );
    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    wp_enqueue_style( 'ncare-style', get_stylesheet_uri() );
    

    // all js
    wp_enqueue_script( 'bootstrap-bundle', NCARE_THEME_JS_DIR . 'bootstrap.bundle.min.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'waypoints', NCARE_THEME_JS_DIR . 'waypoints.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'swiper-bundle', NCARE_THEME_JS_DIR . 'swiper-bundle.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'slick', NCARE_THEME_JS_DIR . 'slick.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'meanmenu', NCARE_THEME_JS_DIR . 'meanmenu.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'range-slider', NCARE_THEME_JS_DIR . 'range-slider.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'purecounter', NCARE_THEME_JS_DIR . 'purecounter.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'parallax', NCARE_THEME_JS_DIR . 'parallax.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'magnific-popup', NCARE_THEME_JS_DIR . 'magnific-popup.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'nice-select', NCARE_THEME_JS_DIR . 'nice-select.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'countdown', NCARE_THEME_JS_DIR . 'countdown.js', [ 'jquery' ], '', true );
    wp_enqueue_script( 'wow', NCARE_THEME_JS_DIR . 'wow.js', [ 'jquery' ], false, true );
    wp_enqueue_script( 'isotope-pkgd', NCARE_THEME_JS_DIR . 'isotope-pkgd.js', [ 'imagesloaded' ], false, true );
    wp_enqueue_script( 'ncare-main', NCARE_THEME_JS_DIR . 'main.js', [ 'jquery' ], time(), true );
    

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_scripts' );

/*
Register Fonts
 */
function ncare_fonts_url() {
    $font_url = '';

    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'ncare' ) ) {
        $font_url = 'https://fonts.googleapis.com/css2?'. urlencode('family=DM+Sans:wght@400;500;600;700&family=Inter:wght@400;500;600;700&family=Lexend:wght@400;500;600;700;800&display=swap');
    }
    return $font_url;
}