<?php 

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function ncare_widgets_init() {

    $footer_style_2_switch = get_theme_mod( 'footer_style_2_switch', true );
   
    /**
     * blog sidebar
     */
    register_sidebar( [
        'name'          => esc_html__( 'Blog Sidebar', 'ncare' ),
        'id'            => 'blog-sidebar',
        'description'   => esc_html__( 'Set Your Blog Widget', 'ncare' ),
        'before_widget' => '<div id="%1$s" class="tp-sidebar-widget mb-30 %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="tp-sidebar-widget-title">',
        'after_title'   => '</h3>',
    ] );


    /**
     * product sidebar
     */
    register_sidebar( [
        'name'          => esc_html__( 'Product Sidebar', 'ncare' ),
        'id'            => 'product-sidebar',
        'description'          => esc_html__( 'Set Your Product Widget', 'ncare' ),
        'before_widget' => '<div id="%1$s" class="tp-shop-widget mb-50 %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="tp-shop-widget-title">',
        'after_title'   => '</h3>',
    ] );

    /**
     * product sidebar
     */
    register_sidebar( [
        'name'          => esc_html__( 'Services Sidebar', 'ncare' ),
        'id'            => 'services-sidebar',
        'description'          => esc_html__( 'Set Your Product Widget', 'ncare' ),
        'before_widget' => '<div id="%1$s" class="tp-service-widget mb-50 %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="tp-sidebar-widget-title">',
        'after_title'   => '</h3>',
    ] );

    $footer_widgets = get_theme_mod( 'footer_widget_number', 4 );

    // footer default
    for ( $num = 1; $num <= $footer_widgets; $num++ ) {
        register_sidebar( [
            'name'          => sprintf( esc_html__( 'Footer %1$s', 'ncare' ), $num ),
            'id'            => 'footer-' . $num,
            'description'   => sprintf( esc_html__( 'Footer column %1$s', 'ncare' ), $num ),
            'before_widget' => '<div id="%1$s" class="tp-footer-widget mb-65 tp-footer-2-col-'.$num.' %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h4 class="tp-footer-widget-title mb-30">',
            'after_title'   => '</h4>',
        ] );
    }

    // footer 2
    if ( $footer_style_2_switch ) {
        for ( $num = 1; $num <= $footer_widgets-2; $num++ ) {

            register_sidebar( [
                'name'          => sprintf( esc_html__( 'Footer Style 2 : %1$s', 'ncare' ), $num ),
                'id'            => 'footer-2-' . $num,
                'description'   => sprintf( esc_html__( 'Footer Style 2 : %1$s', 'ncare' ), $num ),
                'before_widget' => '<div id="%1$s" class="tp-footer-widget mb-70 footer-col-'.$num.' %2$s">',
                'after_widget'  => '</div>',
                'before_title'  => '<h4 class="tp-footer-widget-title mb-30">',
                'after_title'   => '</h4>',
            ] );
        }
    }    


}
add_action( 'widgets_init', 'ncare_widgets_init' );