<?php


new \Kirki\Panel(
    'panel_id',
    [
        'priority'    => 10,
        'title'       => esc_html__( 'Ncare Customizer', 'ncare' ),
        'description' => esc_html__( 'Ncare Customizer Description.', 'ncare' ),
    ]
);

// header_top_section
function header_top_section(){
    // header_top_bar section 
    new \Kirki\Section(
        'header_top_section',
        [
            'title'       => esc_html__( 'Header Topbar Settings', 'ncare' ),
            'description' => esc_html__( 'Header Topbar Controls.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 100,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_topbar_switch',
            'label'       => esc_html__( 'Header Topbar Switch', 'ncare' ),
            'description' => esc_html__( 'Header Topbar switch On/Off', 'ncare' ),
            'section'     => 'header_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    );    

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'enable_bottom_menu',
            'label'       => esc_html__( 'Enable Bottom Menu Switch', 'ncare' ),
            'description' => esc_html__( 'Enable Bottom Menu On/Off', 'ncare' ),
            'section'     => 'header_top_section',
            'default'     => 'on',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    );    

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'enable_social_icon',
            'label'       => esc_html__( 'Enable Social Switch', 'ncare' ),
            'description' => esc_html__( 'Enable Social On/Off', 'ncare' ),
            'section'     => 'header_top_section',
            'default'     => 'on',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 
    
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'enable_link_menu',
            'label'       => esc_html__( 'Enable Link Menu Switch', 'ncare' ),
            'description' => esc_html__( 'Enable Link Menu On/Off', 'ncare' ),
            'section'     => 'header_top_section',
            'default'     => 'on',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_tel_subtitle',
            'label'    => esc_html__( 'Phone Subtitle', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'Talk with us', 'ncare' ),
            'priority' => 10,
        ]
    );    

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_tel_text',
            'label'    => esc_html__( 'Phone Number', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '+(402) 763 282 46 ', 'ncare' ),
            'priority' => 10,
        ]
    );    

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_tel_link',
            'label'    => esc_html__( 'Phone Number URL', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '402-763-282-46 ', 'ncare' ),
            'priority' => 10,
        ]
    );    

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_email_address',
            'label'    => esc_html__( 'Email Address', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'hix@support.com', 'ncare' ),
            'priority' => 10,
        ]
    ); 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_time',
            'label'    => esc_html__( 'Time', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'Mon - Fri 8:00 - 18:00 / Sunday 8:00 - 14:00', 'ncare' ),
            'priority' => 10,
        ]
    );
     
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_fb_link',
            'label'    => esc_html__( 'Facebook Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'mybook.com', 'ncare' ),
            'priority' => 10,
        ]
    ); 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_tw_link',
            'label'    => esc_html__( 'Twitter Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'twitter.com', 'ncare' ),
            'priority' => 10,
        ]
    );  
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_vm_link',
            'label'    => esc_html__( 'Vimeo Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'vimeo.com', 'ncare' ),
            'priority' => 10,
        ]
    ); 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_pt_link',
            'label'    => esc_html__( 'Pinterest Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'pinterest.com', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_ins_link',
            'label'    => esc_html__( 'Instagram Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'instagram.com', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_linkedin_link',
            'label'    => esc_html__( 'Linkedin Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( 'linkedin.com', 'ncare' ),
            'priority' => 10,
        ]
    ); 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_behance_link',
            'label'    => esc_html__( 'Behance Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_flickr_link',
            'label'    => esc_html__( 'Flickr Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_medium_link',
            'label'    => esc_html__( 'Medium Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_whatsapp_link',
            'label'    => esc_html__( 'Whatsapp Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );


    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_topbar_about_link',
            'label'    => esc_html__( 'About Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_topbar_faq_link',
            'label'    => esc_html__( 'Faq Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_topbar_contact_link',
            'label'    => esc_html__( 'Contact Link', 'ncare' ),
            'section'  => 'header_top_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );     
}
header_top_section();

function header_main_section(){
    // header_top_bar section 
    new \Kirki\Section(
        'header_main_section',
        [
            'title'       => esc_html__( 'Header Main Settings', 'ncare' ),
            'description' => esc_html__( 'Header Main Controls.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 100,
        ]
    );

    // header_top_bar section
    new \Kirki\Field\Radio_Image(
        [
            'settings'    => 'header_layout_custom',
            'label'       => esc_html__( 'Chose Header Style', 'ncare' ),
            'section'     => 'header_main_section',
            'priority'    => 10,
            'choices'     => [
                'header_1'   => get_template_directory_uri() . '/inc/img/header/header_1.jpg',
                'header_2' => get_template_directory_uri() . '/inc/img/header/header_2.jpg',
                'header_3'  => get_template_directory_uri() . '/inc/img/header/header_3.jpg',
                'header_4'  => get_template_directory_uri() . '/inc/img/header/one_page_header_1.jpg',
                'header_5'  => get_template_directory_uri() . '/inc/img/header/one_page_header_2.jpg',
                'header_6'  => get_template_directory_uri() . '/inc/img/header/one_page_header_3.jpg',
            ],
            'default'     => 'header_1',
            'active_callback' => [
                [
                    'setting' => 'ncare_header_elementor_switch',
                    'operator' => '==',
                    'value' => false
                ]
            ]
        ]
    );
   
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'header_right_switch',
            'label'       => esc_html__( 'Header Right Switch', 'ncare' ),
            'description' => esc_html__( 'Header Right On/Off', 'ncare' ),
            'section'     => 'header_main_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'ncare_sticky_switch',
            'label'       => esc_html__( 'Header Sticky Switch', 'ncare' ),
            'description' => esc_html__( 'Header Sticky On/Off', 'ncare' ),
            'section'     => 'header_main_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    );

    
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'ncare_header_search',
            'label'       => esc_html__( 'Header Search Switch', 'ncare' ),
            'description' => esc_html__( 'Header Search On/Off', 'ncare' ),
            'section'     => 'header_main_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 

 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_contact_link',
            'label'    => esc_html__( 'Button Link', 'ncare' ),
            'section'  => 'header_main_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_contact_link_text',
            'label'    => esc_html__( 'Button Text', 'ncare' ),
            'section'  => 'header_main_section',
            'default'  => esc_html__( 'Explore More', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_header_number',
            'label'    => esc_html__( 'Phone Number', 'ncare' ),
            'section'  => 'header_main_section',
            'default'  => esc_html__( '+88 1900 6789 56', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_opening_hours',
            'label'    => esc_html__( 'Opening Hours', 'ncare' ),
            'section'  => 'header_main_section',
            'default'  => esc_html__( 'Mon _ Sat: 9.00 to 18.00', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_header_contact_email',
            'label'    => esc_html__( 'Contact Email', 'ncare' ),
            'section'  => 'header_main_section',
            'default'  => esc_html__( 'needhelp@company.com', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_header_search_title',
            'label'    => esc_html__( 'Search Title', 'ncare' ),
            'section'  => 'header_main_section',
            'default'  => esc_html__( 'What are you looking for?', 'ncare' ),
            'priority' => 10,
        ]
    );
    

}
header_main_section();

function preloader_section(){

    new \Kirki\Section(
        'preloader_section',
        [
            'title'       => esc_html__( 'Preloader Settings', 'ncare' ),
            'description' => esc_html__( 'Preloader Controls.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 100,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'ncare_preloader_switch',
            'label'       => esc_html__( 'Preloader Switch', 'ncare' ),
            'description' => esc_html__( 'Preloader On/Off', 'ncare' ),
            'section'     => 'preloader_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 

     new \Kirki\Field\Text(
        [
            'settings' => 'ncare_preloader_text',
            'label'    => esc_html__( 'Preloader Text', 'ncare' ),
            'section'  => 'preloader_section',
            'default'  => esc_html__( 'ncare', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_preloader_loading_text',
            'label'    => esc_html__( 'Preloader Loading Text', 'ncare' ),
            'section'  => 'preloader_section',
            'default'  => esc_html__( 'Loading', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Image(
        [
            'settings'    => 'ncare_preloader_logo',
            'label'       => esc_html__( 'Preloader Logo Icon', 'ncare' ),
            'description' => esc_html__( 'Preloader Logo Here', 'ncare' ),
            'section'     => 'preloader_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/preloader/preloader-icon.svg',
        ]
    );   
}

preloader_section();

function back_to_top_section(){

    new \Kirki\Section(
        'back_to_top_section',
        [
            'title'       => esc_html__( 'Back To Top Settings', 'ncare' ),
            'description' => esc_html__( 'Back To Top Controls.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 100,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'ncare_backtotop',
            'label'       => esc_html__( 'Preloader Switch', 'ncare' ),
            'description' => esc_html__( 'Preloader On/Off', 'ncare' ),
            'section'     => 'back_to_top_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 
}

back_to_top_section();

// offcanvas_side_section
function offcanvas_side_section(){

    // header_top_bar section 
    new \Kirki\Section(
        'offcanvas_side_section',
        [
            'title'       => esc_html__( 'Offcanvas Info', 'ncare' ),
            'description' => esc_html__( 'Offcanvas Information.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 110,
        ]
    );

    new \Kirki\Field\Image(
        [
            'settings'    => 'ncare_offcanvas_logo',
            'label'       => esc_html__( 'Offcanvas Logo', 'ncare' ),
            'description' => esc_html__( 'Offcanvas Logo Here', 'ncare' ),
            'section'     => 'offcanvas_side_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'ncare_offcanvas_details_switch',
            'label'       => esc_html__( 'Offcanvas Extra Features', 'ncare' ),
            'description' => esc_html__( 'offcanvas extra features', 'ncare' ),
            'section'     => 'offcanvas_side_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    ); 

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_btn_text',
            'label'    => esc_html__( 'Button Text', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( 'Contact Us', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\URL(
        [
            'settings' => 'ncare_offcanvas_btn_url',
            'label'    => esc_html__( 'Button URL', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => '#',
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_contact_title',
            'label'    => esc_html__( 'Contact Title', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( 'we are here', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_contact_addresss',
            'label'    => esc_html__( 'Contact Address', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( '1489 Langley Ave Grand Forks Afb, North.', 'ncare' ),
            'priority' => 10,
        ]
    );

    // offcanvas social
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_fb_url',
            'label'    => esc_html__( 'Facebook', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_twitter_url',
            'label'    => esc_html__( 'Twitter', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_instagram_url',
            'label'    => esc_html__( 'Instagram', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_linkedin_url',
            'label'    => esc_html__( 'Linkedin', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_offcanvas_youtube_url',
            'label'    => esc_html__( 'Youtube', 'ncare' ),
            'section'  => 'offcanvas_side_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );

}
offcanvas_side_section();


// header_logo_section
function header_logo_section(){
    // header_logo_section section 
    new \Kirki\Section(
        'header_logo_section',
        [
            'title'       => esc_html__( 'Header Logo', 'ncare' ),
            'description' => esc_html__( 'Header Logo Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 130,
        ]
    );

    // header_logo_section section 
    new \Kirki\Field\Image(
        [
            'settings'    => 'header_logo',
            'label'       => esc_html__( 'Header Logo', 'ncare' ),
            'description' => esc_html__( 'Theme Default/Primary Logo Here', 'ncare' ),
            'section'     => 'header_logo_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
        ]
    );
    new \Kirki\Field\Image(
        [
            'settings'    => 'header_secondary_logo',
            'label'       => esc_html__( 'Header Secondary Logo', 'ncare' ),
            'description' => esc_html__( 'Theme Secondary Logo Here', 'ncare' ),
            'section'     => 'header_logo_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo-white-2.png',
        ]
    );

    // Contacts Text 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_logo_width',
            'label'    => esc_html__( 'Logo Width', 'ncare' ),
            'section'  => 'header_logo_section',
            'default'  => esc_html__( '135', 'ncare' ),
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Image(
        [
            'settings'    => 'header_sticky_logo',
            'label'       => esc_html__( 'Header Sticky Logo', 'ncare' ),
            'description' => esc_html__( 'Theme Sticky Logo Here', 'ncare' ),
            'section'     => 'header_logo_section',
            'default'     => get_template_directory_uri() . '/assets/img/logo/logo.png',
        ]
    );
}
header_logo_section();


// header_logo_section
function header_breadcrumb_section(){
    // header_logo_section section 
    new \Kirki\Section(
        'header_breadcrumb_section',
        [
            'title'       => esc_html__( 'Breadcrumb', 'ncare' ),
            'description' => esc_html__( 'Breadcrumb Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 160,
        ]
    );

    // header_logo_section section 
    new \Kirki\Field\Image(
        [
            'settings'    => 'breadcrumb_image',
            'label'       => esc_html__( 'Breadcrumb Image', 'ncare' ),
            'description' => esc_html__( 'Breadcrumb Image add/remove', 'ncare' ),
            'section'     => 'header_breadcrumb_section',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'breadcrumb_bg_color',
            'label'       => __( 'Breadcrumb BG Color', 'ncare' ),
            'description' => esc_html__( 'You can change breadcrumb bg color from here.', 'ncare' ),
            'section'     => 'header_breadcrumb_section',
            'default'     => '#f3fbfe',
        ]
    );

    new \Kirki\Field\Dimensions(
        [
            'settings'    => 'breadcrumb_padding',
            'label'       => esc_html__( 'Padding Control', 'ncare' ),
            'description' => esc_html__( 'Padding', 'ncare' ),
            'section'     => 'header_breadcrumb_section',
            'default'     => [
                'padding-top'  => '',
                'padding-bottom' => '',
            ],
        ]
    );
    new \Kirki\Field\Typography(
        [
            'settings'    => 'breadcrumb_typography',
            'label'       => esc_html__( 'Typography Control', 'ncare' ),
            'description' => esc_html__( 'The full set of options.', 'ncare' ),
            'section'     => 'header_breadcrumb_section',
            'priority'    => 10,
            'transport'   => 'auto',
            'default'     => [
                'font-family'     => '',
                'variant'         => '700',
                'color'           => '',
                'font-size'       => '60px',
                'line-height'     => '',
                'text-align'      => 'center',
            ],
            'output'      => [
                [
                    'element' => '.tpbreadcrumb-title',
                ],
            ],
        ]
    );


}
header_breadcrumb_section();

function full_site_typography(){
    // header_logo_section section 
    new \Kirki\Section(
        'full_site_typography',
        [
            'title'       => esc_html__( 'Typography', 'ncare' ),
            'description' => esc_html__( 'Typography Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 190,
        ]
    );

    new \Kirki\Field\Typography(
        [
            'settings'    => 'full_site_typography_settings',
            'label'       => esc_html__( 'Typography Control', 'ncare' ),
            'description' => esc_html__( 'The full set of options.', 'ncare' ),
            'section'     => 'full_site_typography',
            'priority'    => 10,
            'transport'   => 'auto',
            'default'     => [
                'font-family'     => '',
                'variant'         => '',
                'color'           => '',
                'font-size'       => '',
                'line-height'     => '',
                'text-align'      => '',
            ],
            'output'      => [
                [
                    'element' => '.tpbreadcrumb-title',
                ],
            ],
        ]
    );
}
full_site_typography();

// footer layout
function footer_layout_section(){

    new \Kirki\Section(
        'footer_layout_section',
        [
            'title'       => esc_html__( 'Footer', 'ncare' ),
            'description' => esc_html__( 'Footer Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 190,
        ]
    );
    // footer_widget_number section 
    new \Kirki\Field\Select(
        [
            'settings'    => 'footer_widget_number',
            'label'       => esc_html__( 'Footer Widget Number', 'ncare' ),
            'section'     => 'footer_layout_section',
            'default'     => '4',
            'placeholder' => esc_html__( 'Choose an option', 'ncare' ),
            'choices'     => [
                '1' => esc_html__( '1', 'ncare' ),
                '2' => esc_html__( '2', 'ncare' ),
                '3' => esc_html__( '3', 'ncare' ),
                '4' => esc_html__( '4', 'ncare' ),
            ],
        ]
    );

    new \Kirki\Field\Radio_Image(
        [
            'settings'    => 'footer_layout_custom',
            'label'       => esc_html__( 'Footer Layout Control', 'ncare' ),
            'section'     => 'footer_layout_section',
            'priority'    => 10,
            'choices'     => [
                'footer_1'   => get_template_directory_uri() . '/inc/img/footer/footer_1.jpg',
                'footer_2' => get_template_directory_uri() . '/inc/img/footer/footer_2.jpg',
            ],
            'default'     => 'footer_1',
            'active_callback' => [
                [
                    'setting' => 'ncare_footer_elementor_switch',
                    'operator' => '==',
                    'value' => false
                ]
            ]
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_social_switch',
            'label'       => esc_html__( 'Footer Social Switch', 'ncare' ),
            'description' => esc_html__( 'Footer Social Switch On/Off', 'ncare' ),
            'section'     => 'footer_layout_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    );  

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_link_switch',
            'label'       => esc_html__( 'Footer Link Switch', 'ncare' ),
            'description' => esc_html__( 'Footer Link Switch On/Off', 'ncare' ),
            'section'     => 'footer_layout_section',
            'default'     => 'off',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    );  

    new \Kirki\Field\Color(
        [
            'settings'    => 'ncare_footer_bg_color',
            'label'       => __( 'Footer BG Color', 'ncare' ),
            'description' => esc_html__( 'You can change footer bg color from here.', 'ncare' ),
            'section'     => 'footer_layout_section',
            'default'     => '#051A53',
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'footer_style_2_switch',
            'label'       => esc_html__( 'Footer Style 2 Switch', 'ncare' ),
            'description' => esc_html__( 'Footer Style 2 On/Off', 'ncare' ),
            'section'     => 'footer_layout_section',
            'default'     => 'on',
            'choices'     => [
                'on'  => esc_html__( 'Enable', 'ncare' ),
                'off' => esc_html__( 'Disable', 'ncare' ),
            ],
        ]
    );  

    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_copyright',
            'label'    => esc_html__( 'Footer Copyright', 'ncare' ),
            'section'  => 'footer_layout_section',
            'default'  => esc_html__( '© 2024 All Rights Reserved | WordPress Theme by Themepure', 'ncare' ),
            'priority' => 10,
        ]
    ); 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_terms_link',
            'label'    => esc_html__( 'Terms Link', 'ncare' ),
            'section'  => 'footer_layout_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_privacy_link',
            'label'    => esc_html__( 'Privacy Link', 'ncare' ),
            'section'  => 'footer_layout_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    ); 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_footer_title',
            'label'    => esc_html__( 'Footer Title', 'ncare' ),
            'section'  => 'footer_layout_section',
            'default'  => esc_html__( '#', 'ncare' ),
            'priority' => 10,
        ]
    );
}
footer_layout_section();


// blog_section
function blog_section(){
    // blog_section section 
    new \Kirki\Section(
        'blog_section',
        [
            'title'       => esc_html__( 'Blog Section', 'ncare' ),
            'description' => esc_html__( 'Blog Section Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 150,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings'    => 'ncare_blog_btn_switch',
            'label'       => esc_html__( 'Blog BTN On/Off', 'ncare' ),
            'section'     => 'blog_section',
            'default'     => true,
            'priority' => 10,
        ]
    ); 

    // blog_section BTN 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'ncare_blog_cat',
            'label'    => esc_html__( 'Blog Category Meta On/Off', 'ncare' ),
            'section'  => 'blog_section',
            'default'  => false,
            'priority' => 10,
        ]
    );

    // blog_section Author Meta 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'ncare_blog_author',
            'label'    => esc_html__( 'Blog Author Meta On/Off', 'ncare' ),
            'section'  => 'blog_section',
            'default'  => true,
            'priority' => 10,
        ]
    );
    // blog_section Date Meta 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'ncare_blog_date',
            'label'    => esc_html__( 'Blog Date Meta On/Off', 'ncare' ),
            'section'  => 'blog_section',
            'default'  => true,
            'priority' => 10,
        ]
    );

    // blog_section Comments Meta 
    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'ncare_blog_comments',
            'label'    => esc_html__( 'Blog Comments Meta On/Off', 'ncare' ),
            'section'  => 'blog_section',
            'default'  => true,
            'priority' => 10,
        ]
    );


    // blog_section Blog BTN text 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_blog_btn',
            'label'    => esc_html__( 'Blog Button Text', 'ncare' ),
            'section'  => 'blog_section',
            'default'  => "Read More",
            'priority' => 10,
        ]
    );

    new \Kirki\Field\Checkbox_Switch(
        [
            'settings' => 'ncare_blog_single_social',
            'label'    => esc_html__( 'Single Blog Social Share', 'ncare' ),
            'section'  => 'blog_section',
            'default'  => false,
            'priority' => 10,
        ]
    );

}
blog_section();


// 404 section
function error_404_section(){
    // 404_section section 
    new \Kirki\Section(
        'error_404_section',
        [
            'title'       => esc_html__( '404 Page', 'ncare' ),
            'description' => esc_html__( '404 Page Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 150,
        ]
    );

    // 404_section 
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_error_title',
            'label'    => esc_html__( 'Not Found Title', 'ncare' ),
            'section'  => 'error_404_section',
            'default'  => "Oops! Page not found",
            'priority' => 10,
        ]
    );

    // 404_section description
    new \Kirki\Field\Textarea(
        [
            'settings' => 'ncare_error_desc',
            'label'    => esc_html__( 'Not Found description', 'ncare' ),
            'section'  => 'error_404_section',
            'default'  => "Whoops, this is embarassing. Looks like the page you were looking for was not found.",
            'priority' => 10,
        ]
    );

    // 404_section description
    new \Kirki\Field\Text(
        [
            'settings' => 'ncare_error_link_text',
            'label'    => esc_html__( 'Error Link Text', 'ncare' ),
            'section'  => 'error_404_section',
            'default'  => "Back To Home",
            'priority' => 10,
        ]
    );
}
error_404_section();

// theme color section
function theme_color_section(){
    new \Kirki\Section(
        'theme_color_section',
        [
            'title'       => esc_html__( 'Theme Color', 'ncare' ),
            'description' => esc_html__( 'Seomy theme color Settings.', 'ncare' ),
            'panel'       => 'panel_id',
            'priority'    => 150,
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'ncare_color_1',
            'label'       => __( 'Theme Color 1', 'ncare' ),
            'description' => esc_html__( 'this is theme color 1 control.', 'ncare' ),
            'section'     => 'theme_color_section',
            'default'     => '#051A53',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'ncare_color_2',
            'label'       => __( 'Theme Color 2', 'ncare' ),
            'description' => esc_html__( 'this is theme color 2 control.', 'ncare' ),
            'section'     => 'theme_color_section',
            'default'     => '#F1EBE9',
        ]
    );
    new \Kirki\Field\Color(
        [
            'settings'    => 'ncare_color_3',
            'label'       => __( 'Theme Color 3', 'ncare' ),
            'description' => esc_html__( 'this is theme color 3 control.', 'ncare' ),
            'section'     => 'theme_color_section',
            'default'     => '#D82221',
        ]
    );
}
theme_color_section();