<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package ncare
 */

/** 
 *
 * ncare header
 */
function get_header_style($style){
    if ( $style == 'header_2'  ) {
        get_template_part( 'template-parts/header/header-2' );
    }elseif ( $style == 'header_3'  ) {
        get_template_part( 'template-parts/header/header-3' );
    }elseif ( $style == 'header_4' ) {
        get_template_part( 'template-parts/header/header-1-onepage' );
    }elseif ( $style == 'header_5' ) {
        get_template_part( 'template-parts/header/header-2-onepage' );
    }elseif ( $style == 'header_6' ) {
        get_template_part( 'template-parts/header/header-3-onepage' );
    }
    else{
        get_template_part( 'template-parts/header/header-1');
    }
}

function ncare_check_header() {
    $tp_header_tabs = function_exists('tpmeta_field')? tpmeta_field('ncare_header_tabs') : false;
    $tp_header_style_meta = function_exists('tpmeta_field')? tpmeta_field('ncare_header_style') : '';
    $elementor_header_template_meta = function_exists('tpmeta_field')? tpmeta_field('ncare_header_templates') : false;


    $ncare_header_option_switch = get_theme_mod('ncare_header_elementor_switch', false);
    $header_default_style_kirki = get_theme_mod( 'header_layout_custom', 'header_1' );
    $elementor_header_templates_kirki = get_theme_mod( 'ncare_header_templates' );
    
    if($tp_header_tabs == 'default'){
        if($ncare_header_option_switch){
            if($elementor_header_templates_kirki){
                echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_header_templates_kirki);
            }
        }else{ 
            if($header_default_style_kirki){
                get_header_style($header_default_style_kirki);
            }else{
                get_template_part( 'template-parts/header/header-1' );
            }
        }
    }elseif($tp_header_tabs == 'custom'){
        if ($tp_header_style_meta) {
            get_header_style($tp_header_style_meta);
        }else{
            get_header_style($header_default_style_kirki);
        }  
    }elseif($tp_header_tabs == 'elementor'){
        if($elementor_header_template_meta){
            echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_header_template_meta);
        }else{
            echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_header_templates_kirki);
        }
    }else{
        if($ncare_header_option_switch){

            if($elementor_header_templates_kirki){
                echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_header_templates_kirki);
            }else{
                get_template_part( 'template-parts/header/header-1' );
            }
        }else{
            get_header_style($header_default_style_kirki);

        }
        
    }

}
add_action( 'ncare_header_style', 'ncare_check_header', 10 );

/**
 * [ncare_header_lang description]
 * @return [type] [description]
 */
function ncare_header_lang_defualt() {
   ?>

    <div class="tp-header-top-menu-item tp-header-lang">
        <span class="tp-header-lang-toggle" id="tp-header-lang-toggle"><?php print esc_html__( 'English', 'ncare' );?></span>
        <?php do_action( 'ncare_language' );?>
    </div>
<?php
}

/**
 * [ncare_language_list description]
 * @return [type] [description]
 */
function _ncare_language( $mar ) {
    return $mar;
}
function ncare_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul class="">';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul class="">';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'ncare' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Spanish', 'ncare' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'French', 'ncare' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _ncare_language( $mar );
}
add_action( 'ncare_language', 'ncare_language_list' );

/**
 * [ncare_offcanvas_language description]
 * @return [type] [description]
 */


 /**
 * [ncare_header_lang description]
 * @return [type] [description]
 */
function ncare_offcanvas_lang_defualt() {
    ?>
  
     <div class="offcanvas__select language">
         <div class="offcanvas__lang d-flex align-items-center justify-content-md-end">
             <div class="offcanvas__lang-img mr-15">
                 <img src="<?php echo get_template_directory_uri(); ?>/assets/img/icon/language-flag.png" alt="<?php echo esc_attr__('language', 'ncare'); ?>">
             </div>
 
             <div class="offcanvas__lang-wrapper">
                 <span class="offcanvas__lang-selected-lang tp-lang-toggle" id="tp-offcanvas-lang-toggle"><?php echo esc_html__('English', 'ncare'); ?></span> 
                 <?php do_action( 'ncare_offcanvas_language' );?>
             </div>
         </div>
     </div>
 <?php
 }
function _ncare_offcanvas_language( $mar ) {
    return $mar;
}
function ncare_offcanvas_language_list() {

    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul class="offcanvas__lang-list tp-lang-list">';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul class="offcanvas__lang-list tp-lang-list">';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'ncare' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Spanish', 'ncare' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'French', 'ncare' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _ncare_language( $mar );
}
add_action( 'ncare_offcanvas_language', 'ncare_offcanvas_language_list' );

/**
 * [ncare_language_list description]
 * @return [type] [description]
 */
function _ncare_footer_language( $mar ) {
    return $mar;
}
function ncare_footer_language_list() {
    $mar = '';
    $languages = apply_filters( 'wpml_active_languages', NULL, 'orderby=id&order=desc' );
    if ( !empty( $languages ) ) {
        $mar = '<ul class="footer__lang-list tp-lang-list-2">';
        foreach ( $languages as $lan ) {
            $active = $lan['active'] == 1 ? 'active' : '';
            $mar .= '<li class="' . $active . '"><a href="' . $lan['url'] . '">' . $lan['translated_name'] . '</a></li>';
        }
        $mar .= '</ul>';
    } else {
        //remove this code when send themeforest reviewer team
        $mar .= '<ul class="footer__lang-list tp-lang-list-2">';
        $mar .= '<li><a href="#">' . esc_html__( 'English', 'ncare' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'Spanish', 'ncare' ) . '</a></li>';
        $mar .= '<li><a href="#">' . esc_html__( 'French', 'ncare' ) . '</a></li>';
        $mar .= ' </ul>';
    }
    print _ncare_footer_language( $mar );
}
add_action( 'ncare_footer_language', 'ncare_footer_language_list' );

// header logo
function ncare_header_logo() { ?>
        <?php
            $ncare_logo_on = function_exists('tpmeta_field')? tpmeta_field('ncare_en_secondary_logo') : NULL;
            $ncare_logo = get_template_directory_uri() . '/assets/img/logo/logo.png';
            $ncare_logo_white = get_template_directory_uri() . '/assets/img/logo/logo-white-2.png';

            $ncare_site_logo_width = get_theme_mod( 'ncare_logo_width', '135');

            $ncare_site_logo = get_theme_mod( 'header_logo', $ncare_logo );
            $ncare_secondary_logo = get_theme_mod( 'header_secondary_logo', $ncare_logo_white );
            $header_layout_custom = get_theme_mod( 'header_layout_custom');
    
        ?>
    
        <?php if ( $ncare_logo_on == 'on' ) : ?>
        <a class="secondary-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" src="<?php print esc_url( $ncare_secondary_logo );?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>" />
        </a>
        <?php else : ?>
        <a class="standard-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" src="<?php print esc_url( $ncare_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>" />
        </a>
        <?php endif; ?>
<?php
}

// header logo
function ncare_header_double_logo() { ?>
    <?php
        $ncare_logo = get_template_directory_uri() . '/assets/img/logo/logo.svg';
        $ncare_logo_white = get_template_directory_uri() . '/assets/img/logo/logo-white.svg';

        $ncare_site_logo_width = get_theme_mod( 'ncare_logo_width', '135');

        $ncare_site_logo = get_theme_mod( 'header_logo', $ncare_logo );
        $ncare_logo_white = get_theme_mod( 'header_secondary_logo', $ncare_logo_white );

        ?>
    
        <a href="<?php print esc_url( home_url( '/' ) );?>">
            <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" class="logo-light" src="<?php print esc_url( $ncare_logo_white ); ?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>">
            <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" class="logo-dark" src="<?php print esc_url( $ncare_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>">
        </a>
<?php
}


// ncare_footer_logo
function ncare_footer_logo() { ?>
      <?php
        $ncare_foooter_logo = function_exists( 'get_field' ) ? get_field( 'ncare_footer_logo' ) : NULL;

        $ncare_logo = get_template_directory_uri() . '/assets/img/logo/logo.svg';

        $ncare_footer_logo_default = get_theme_mod( 'ncare_footer_logo', $ncare_logo );
        $ncare_site_logo_width = get_theme_mod( 'ncare_logo_width', '120');
      ?>

      <?php if ( !empty( $ncare_foooter_logo ) ) : ?>
         <a href="<?php print esc_url( home_url( '/' ) );?>">
             <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" src="<?php print esc_url( $ncare_foooter_logo );?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>" />
         </a>
      <?php else : ?>
         <a href="<?php print esc_url( home_url( '/' ) );?>">
             <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" src="<?php print esc_url( $ncare_footer_logo_default );?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>" />
         </a>
      <?php endif; ?>
   <?php
}


// header logo
function ncare_header_sticky_logo() {?>
    <?php
        $ncare_logo = get_theme_mod( 'ncare_sticky_logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );
        $ncare_secondary_logo = get_theme_mod( 'seconday_logo',  get_template_directory_uri() . '/assets/img/logo/logo.png');
        $ncare_site_logo_width = get_theme_mod( 'ncare_logo_width', '120');
        $ncare_sticky_logo = get_theme_mod( 'header_sticky_logo', $ncare_logo );
    ?>
        <?php if ( !empty( $ncare_sticky_logo ) ) : ?>
        <a href="<?php print esc_url( home_url( '/' ) );?>">
            <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" class="logo-dark" src="<?php print esc_url( $ncare_sticky_logo );?>" alt="logo">
        </a>
        <?php else : ?>
            <a href="<?php print esc_url( home_url( '/' ) );?>">
            <img data-width="<?php echo esc_attr($ncare_site_logo_width); ?>" height="auto" class="logo-dark" src="<?php print esc_url( $ncare_logo );?>" alt="logo">
        </a>
        <?php endif; ?>
    <?php
}

function ncare_mobile_logo() {
    // side info
    $ncare_mobile_logo_hide = get_theme_mod( 'ncare_mobile_logo_hide', false );

    $ncare_site_logo = get_theme_mod( 'logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );

    ?>

    <?php if ( !empty( $ncare_mobile_logo_hide ) ): ?>
    <div class="side__logo mb-25">
        <a class="sideinfo-logo" href="<?php print esc_url( home_url( '/' ) );?>">
            <img src="<?php print esc_url( $ncare_site_logo );?>" alt="<?php print esc_attr__( 'logo', 'ncare' );?>" />
        </a>
    </div>
    <?php endif;?>



<?php }

/**
 * [ncare_header_social_profiles description]
 * @return [type] [description]
 */
function ncare_header_social_profiles() {
    $ncare_topbar_fb_url = get_theme_mod( 'ncare_topbar_fb_url', __( '#', 'ncare' ) );
    $ncare_topbar_twitter_url = get_theme_mod( 'ncare_topbar_twitter_url', __( '#', 'ncare' ) );
    $ncare_topbar_instagram_url = get_theme_mod( 'ncare_topbar_instagram_url', __( '#', 'ncare' ) );
    $ncare_topbar_linkedin_url = get_theme_mod( 'ncare_topbar_linkedin_url', __( '#', 'ncare' ) );
    $ncare_topbar_youtube_url = get_theme_mod( 'ncare_topbar_youtube_url', __( '#', 'ncare' ) );
    ?>
        <ul>
        <?php if ( !empty( $ncare_topbar_fb_url ) ): ?>
          <li><a href="<?php print esc_url( $ncare_topbar_fb_url );?>"><span><i class="fab fa-facebook-f"></i></span></a></li>
        <?php endif;?>

        <?php if ( !empty( $ncare_topbar_twitter_url ) ): ?>
            <li><a href="<?php print esc_url( $ncare_topbar_twitter_url );?>"><span><i class="fab fa-twitter"></i></span></a></li>
        <?php endif;?>

        <?php if ( !empty( $ncare_topbar_instagram_url ) ): ?>
            <li><a href="<?php print esc_url( $ncare_topbar_instagram_url );?>"><span><i class="fab fa-instagram"></i></span></a></li>
        <?php endif;?>

        <?php if ( !empty( $ncare_topbar_linkedin_url ) ): ?>
            <li><a href="<?php print esc_url( $ncare_topbar_linkedin_url );?>"><span><i class="fab fa-linkedin"></i></span></a></li>
        <?php endif;?>

        <?php if ( !empty( $ncare_topbar_youtube_url ) ): ?>
            <li><a href="<?php print esc_url( $ncare_topbar_youtube_url );?>"><span><i class="fab fa-youtube"></i></span></a></li>
        <?php endif;?>
        </ul>

<?php
}

/**
 * [ncare_offcanvas_social_profiles description]
 * @return [type] [description]
 */
function ncare_offcanvas_social_profiles() {

    $ncare_offcanvas_fb_url = get_theme_mod( 'ncare_offcanvas_fb_url', __( '#', 'ncare' ) );
    $ncare_offcanvas_twitter_url = get_theme_mod( 'ncare_offcanvas_twitter_url', __( '#', 'ncare' ) );
    $ncare_offcanvas_instagram_url = get_theme_mod( 'ncare_offcanvas_instagram_url', __( '#', 'ncare' ) );
    $ncare_offcanvas_linkedin_url = get_theme_mod( 'ncare_offcanvas_linkedin_url', __( '#', 'ncare' ) );
    $ncare_offcanvas_youtube_url = get_theme_mod( 'ncare_offcanvas_youtube_url', __( '#', 'ncare' ) );
    ?>
        <?php if ( !empty( $ncare_offcanvas_fb_url ) ): ?>
            <a href="<?php print esc_url( $ncare_offcanvas_fb_url );?>"><span><i class="fab fa-facebook-f"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $ncare_offcanvas_twitter_url ) ): ?>
            <a href="<?php print esc_url( $ncare_offcanvas_twitter_url );?>"><span><i class="fab fa-twitter"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $ncare_offcanvas_instagram_url ) ): ?>
            <a href="<?php print esc_url( $ncare_offcanvas_instagram_url );?>"><span><i class="fab fa-instagram"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $ncare_offcanvas_linkedin_url ) ): ?>
            <a href="<?php print esc_url( $ncare_offcanvas_linkedin_url );?>"><span><i class="fab fa-linkedin"></i></span></a>
        <?php endif;?>

        <?php if ( !empty( $ncare_offcanvas_youtube_url ) ): ?>
            <a href="<?php print esc_url( $ncare_offcanvas_youtube_url );?>"><span><i class="fab fa-youtube"></i></span></a>
        <?php endif;?>
<?php
}

function ncare_footer_social_profiles() {
    $ncare_footer_fb_url = get_theme_mod( 'ncare_footer_fb_url', __( '#', 'ncare' ) );
    $ncare_footer_twitter_url = get_theme_mod( 'ncare_footer_twitter_url', __( '#', 'ncare' ) );
    $ncare_footer_instagram_url = get_theme_mod( 'ncare_footer_instagram_url', __( '#', 'ncare' ) );
    $ncare_footer_linkedin_url = get_theme_mod( 'ncare_footer_linkedin_url', __( '#', 'ncare' ) );
    $ncare_footer_youtube_url = get_theme_mod( 'ncare_footer_youtube_url', __( '#', 'ncare' ) );
    ?>

        <?php if ( !empty( $ncare_footer_fb_url ) ): ?>
            <a href="<?php print esc_url( $ncare_footer_fb_url );?>">
                <i class="fab fa-facebook-f"></i>
            </a>
        <?php endif;?>

        <?php if ( !empty( $ncare_footer_twitter_url ) ): ?>
            <a href="<?php print esc_url( $ncare_footer_twitter_url );?>">
                <i class="fab fa-twitter"></i>
            </a>
        <?php endif;?>

        <?php if ( !empty( $ncare_footer_instagram_url ) ): ?>
            <a href="<?php print esc_url( $ncare_footer_instagram_url );?>">
                <i class="fab fa-instagram"></i>
            </a>
        <?php endif;?>

        <?php if ( !empty( $ncare_footer_linkedin_url ) ): ?>
            <a href="<?php print esc_url( $ncare_footer_linkedin_url );?>">
                <i class="fab fa-linkedin"></i>
            </a>
        <?php endif;?>

        <?php if ( !empty( $ncare_footer_youtube_url ) ): ?>
            <a href="<?php print esc_url( $ncare_footer_youtube_url );?>">
                <i class="fab fa-youtube"></i>
            </a>
        <?php endif;?>
<?php
}


/**
 * [ncare_header_menu description]
 * @return [type] [description]
 */
function ncare_header_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'main-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'ncare_Navwalker_Class::fallback',
            'walker'         => new \TPCore\Widgets\ncare_Navwalker_Class,
        ] );
    ?>
    <?php
}


/**
 * [ncare_footer_menu description]
 * @return [type] [description]
 */
function ncare_onepage_menu() {
    wp_nav_menu( [
        'theme_location' => 'onepage-menu',
        'menu_class'     => 'tp-onepage-menu',
        'container'      => '',
        'fallback_cb'    => 'ncare_Navwalker_Class::fallback',
        'walker'         =>  new \TPCore\Widgets\ncare_Navwalker_Class,
    ] );
}


/**
 * [ncare_search_menu description]
 * @return [type] [description]
 */
function ncare_header_search_menu() {
    ?>
    <?php
        wp_nav_menu( [
            'theme_location' => 'header-search-menu',
            'menu_class'     => '',
            'container'      => '',
            'fallback_cb'    => 'ncare_Navwalker_Class::fallback',
            'walker'         => new \TPCore\Widgets\ncare_Navwalker_Class,
        ] );
    ?>
    <?php
}

/**
 * [ncare_footer_menu description]
 * @return [type] [description]
 */
function ncare_footer_menu() {
    wp_nav_menu( [
        'theme_location' => 'footer-menu',
        'menu_class'     => 'm-0 footer-list-inline-3',
        'container'      => '',
        'fallback_cb'    => 'ncare_Navwalker_Class::fallback',
        'walker'         => new \TPCore\Widgets\ncare_Navwalker_Class,
    ] );
}


/**
 * [ncare_offcanvas_default_menu description]
 * @return [type] [description]
 */
function ncare_offcanvas_default_menu() {
    wp_nav_menu( [
        'theme_location' => 'offcanvas-menu',
        'menu_class'     => '',
        'container'      => '',
        'fallback_cb'    => 'ncare_Navwalker_Class::fallback',
        'walker'         => new \TPCore\Widgets\ncare_Navwalker_Class,
    ] );
}

/**
 *
 * ncare footer
 */
add_action( 'ncare_footer_style', 'ncare_check_footer', 10 );

function get_footer_style($style){
    if ( $style == 'footer_2'  ) {
        get_template_part( 'template-parts/footer/footer-2' );
    }
    else{
        get_template_part( 'template-parts/footer/footer-1');
    }
}

function ncare_check_footer() {
    $tp_footer_tabs = function_exists('tpmeta_field')? tpmeta_field('ncare_footer_tabs') : false;
    $tp_footer_style_meta = function_exists('tpmeta_field')? tpmeta_field('ncare_footer_style') : '';
    $elementor_footer_template_meta = function_exists('tpmeta_field')? tpmeta_field('ncare_footer_templates') : false;

    
    $ncare_footer_option_switch = get_theme_mod('ncare_footer_elementor_switch', false);
    $footer_default_style_kirki = get_theme_mod( 'footer_layout_custom', 'footer_1' );
    $elementor_footer_templates_kirki = get_theme_mod( 'ncare_footer_templates' );
    
    if($tp_footer_tabs == 'default'){
        if($ncare_footer_option_switch){
            if($elementor_footer_templates_kirki){
                echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_footer_templates_kirki);
            }
        }else{ 
            if($footer_default_style_kirki){
                get_footer_style($footer_default_style_kirki);
            }else{
                get_template_part( 'template-parts/footer/footer-1' );
            }
        }
    }elseif($tp_footer_tabs == 'custom'){
        if ($tp_footer_style_meta) {
            get_footer_style($tp_footer_style_meta);
        }else{
            get_footer_style($footer_default_style_kirki);
        }  
    }elseif($tp_footer_tabs == 'elementor'){
        if($elementor_footer_template_meta){
            echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_footer_template_meta);
        }else{
            echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_footer_templates_kirki);
        }
    }else{
        if($ncare_footer_option_switch){

            if($elementor_footer_templates_kirki){
                echo \Elementor\Plugin::$instance->frontend->get_builder_content($elementor_footer_templates_kirki);
            }else{
                get_template_part( 'template-parts/footer/footer-1' );
            }
        }else{
            get_footer_style($footer_default_style_kirki);

        }
        
    }

}

// ncare_copyright_text
function ncare_copyright_text() {
   print get_theme_mod( 'ncare_copyright', esc_html__( '© 2024 HixStudio. All Rights Reserved', 'ncare' ) );
}



/**
 *
 * pagination
 */
if ( !function_exists( 'ncare_pagination' ) ) {

    function _ncare_pagi_callback( $pagination ) {
        return $pagination;
    }

    //page navegation
    function ncare_pagination( $prev, $next, $pages, $args ) {
        global $wp_query, $wp_rewrite;
        $menu = '';
        $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

        if ( $pages == '' ) {
            global $wp_query;
            $pages = $wp_query->max_num_pages;

            if ( !$pages ) {
                $pages = 1;
            }

        }

        $pagination = [
            'base'      => add_query_arg( 'paged', '%#%' ),
            'format'    => '',
            'total'     => $pages,
            'current'   => $current,
            'prev_text' => $prev,
            'next_text' => $next,
            'type'      => 'array',
        ];

        //rewrite permalinks
        if ( $wp_rewrite->using_permalinks() ) {
            $pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
        }

        if ( !empty( $wp_query->query_vars['s'] ) ) {
            $pagination['add_args'] = ['s' => get_query_var( 's' )];

            
        }     

        $pagi = '';
        if ( paginate_links( $pagination ) != '' ) {
            $paginations = paginate_links( $pagination );
            $pagi .= '<ul>';
            foreach ( $paginations as $key => $pg ) {
                $pagi .= '<li>' . $pg . '</li>';
            }
            $pagi .= '</ul>';
        }

        print _ncare_pagi_callback( $pagi );
    }
}


// header top bg color
function ncare_breadcrumb_bg_color() {
    $color_code = get_theme_mod( 'ncare_breadcrumb_bg_color', '#e1e1e1' );
    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-bg.gray-bg{ background: " . $color_code . "}";

        wp_add_inline_style( 'ncare-breadcrumb-bg', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_breadcrumb_bg_color' );

// breadcrumb-spacing top
function ncare_breadcrumb_spacing() {
    $padding_px = get_theme_mod( 'ncare_breadcrumb_spacing', '160px' );
    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-top: " . $padding_px . "}";

        wp_add_inline_style( 'ncare-breadcrumb-top-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_breadcrumb_spacing' );

// breadcrumb-spacing bottom
function ncare_breadcrumb_bottom_spacing() {
    $padding_px = get_theme_mod( 'ncare_breadcrumb_bottom_spacing', '160px' );
    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    if ( $padding_px != '' ) {
        $custom_css = '';
        $custom_css .= ".breadcrumb-spacing{ padding-bottom: " . $padding_px . "}";

        wp_add_inline_style( 'ncare-breadcrumb-bottom-spacing', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_breadcrumb_bottom_spacing' );

// scrollup
function ncare_scrollup_switch() {
    $scrollup_switch = get_theme_mod( 'ncare_scrollup_switch', false );
    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    if ( $scrollup_switch ) {
        $custom_css = '';
        $custom_css .= "#scrollUp{ display: none !important;}";

        wp_add_inline_style( 'ncare-scrollup-switch', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_scrollup_switch' );


// scroll to top color
function ncare_custom_color_scrollup() {
    $color_code = get_theme_mod( 'ncare_color_scrollup', '#03041C' );
    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    if ( $color_code != '' ) {
        $custom_css = '';
        $custom_css .= "html .back-to-top-btns { background-color: " . $color_code . "}";
        wp_add_inline_style( 'ncare-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_custom_color_scrollup' );

// theme color
function ncare_custom_color() {
    $ncare_color_1 = get_theme_mod( 'ncare_color_1', '#051A53' );
    $ncare_color_2 = get_theme_mod( 'ncare_color_2', '#F1EBE9' );
    $ncare_color_3 = get_theme_mod( 'ncare_color_3', '#D82221' );

    wp_enqueue_style( 'ncare-custom', NCARE_THEME_CSS_DIR . 'ncare-custom.css', [] );
    
    if ( !empty($ncare_color_1 || $ncare_color_2 || $ncare_color_3)) {
        $custom_css = '';
        $custom_css .= "html:root{
            --tp-theme-primary: " . $ncare_color_1 . ";
            --tp-theme-secondary: " . $ncare_color_2 . ";
            --tp-red-1: " . $ncare_color_3 . ";
        }";

        wp_add_inline_style( 'ncare-custom', $custom_css );
    }
}
add_action( 'wp_enqueue_scripts', 'ncare_custom_color' );

// ncare_kses_intermediate
function ncare_kses_intermediate( $string = '' ) {
    return wp_kses( $string, ncare_get_allowed_html_tags( 'intermediate' ) );
}

function ncare_get_allowed_html_tags( $level = 'basic' ) {
    $allowed_html = [
        'b'      => [],
        'i'      => [],
        'u'      => [],
        'em'     => [],
        'br'     => [],
        'abbr'   => [
            'title' => [],
        ],
        'span'   => [
            'class' => [],
        ],
        'strong' => [],
        'a'      => [
            'href'  => [],
            'title' => [],
            'class' => [],
            'id'    => [],
        ],
    ];

    if ($level === 'intermediate') {
        $allowed_html['a'] = [
            'href' => [],
            'title' => [],
            'class' => [],
            'id' => [],
        ];
        $allowed_html['div'] = [
            'class' => [],
            'id' => [],
        ];
        $allowed_html['img'] = [
            'src' => [],
            'class' => [],
            'alt' => [],
        ];
        $allowed_html['del'] = [
            'class' => [],
        ];
        $allowed_html['ins'] = [
            'class' => [],
        ];
        $allowed_html['bdi'] = [
            'class' => [],
        ];
        $allowed_html['i'] = [
            'class' => [],
            'data-rating-value' => [],
        ];
    }

    return $allowed_html;
}



// WP kses allowed tags
// ----------------------------------------------------------------------------------------
function ncare_kses($raw){

   $allowed_tags = array(
      'a'                         => array(
         'class'   => array(),
         'href'    => array(),
         'rel'  => array(),
         'title'   => array(),
         'target' => array(),
      ),
      'abbr'                      => array(
         'title' => array(),
      ),
      'b'                         => array(),
      'blockquote'                => array(
         'cite' => array(),
      ),
      'cite'                      => array(
         'title' => array(),
      ),
      'code'                      => array(),
      'del'                    => array(
         'datetime'   => array(),
         'title'      => array(),
      ),
      'dd'                     => array(),
      'div'                    => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'dl'                     => array(),
      'dt'                     => array(),
      'em'                     => array(),
      'h1'                     => array(),
      'h2'                     => array(),
      'h3'                     => array(),
      'h4'                     => array(),
      'h5'                     => array(),
      'h6'                     => array(),
      'i'                         => array(
         'class' => array(),
      ),
      'img'                    => array(
         'alt'  => array(),
         'class'   => array(),
         'height' => array(),
         'src'  => array(),
         'width'   => array(),
      ),
      'li'                     => array(
         'class' => array(),
      ),
      'ol'                     => array(
         'class' => array(),
      ),
      'p'                         => array(
         'class' => array(),
      ),
      'q'                         => array(
         'cite'    => array(),
         'title'   => array(),
      ),
      'span'                      => array(
         'class'   => array(),
         'title'   => array(),
         'style'   => array(),
      ),
      'iframe'                 => array(
         'width'         => array(),
         'height'     => array(),
         'scrolling'     => array(),
         'frameborder'   => array(),
         'allow'         => array(),
         'src'        => array(),
      ),
      'strike'                 => array(),
      'br'                     => array(),
      'strong'                 => array(),
      'data-wow-duration'            => array(),
      'data-wow-delay'            => array(),
      'data-wallpaper-options'       => array(),
      'data-stellar-background-ratio'   => array(),
      'ul'                     => array(
         'class' => array(),
      ),
      'svg' => array(
           'class' => true,
           'aria-hidden' => true,
           'aria-labelledby' => true,
           'role' => true,
           'xmlns' => true,
           'width' => true,
           'height' => true,
           'viewbox' => true, // <= Must be lower case!
       ),
       'g'     => array( 'fill' => true ),
       'title' => array( 'title' => true ),
       'path'  => array( 'd' => true, 'fill' => true,  ),
      );

   if (function_exists('wp_kses')) { // WP is here
      $allowed = wp_kses($raw, $allowed_tags);
   } else {
      $allowed = $raw;
   }

   return $allowed;
}

// / This code filters the Archive widget to include the post count inside the link /
add_filter( 'get_archives_link', 'ncare_archive_count_span' );
function ncare_archive_count_span( $links ) {
    $links = str_replace('</a>&nbsp;(', '<span > (', $links);
    $links = str_replace(')', ')</span></a> ', $links);
    return $links;
}


// / This code filters the Category widget to include the post count inside the link /
add_filter('wp_list_categories', 'ncare_cat_count_span');
function ncare_cat_count_span($links) {
  $links = str_replace('</a> (', '<span> (', $links);
  $links = str_replace(')', ')</span></a>', $links);
  return $links;
}