<?php

// tp metabox 
add_filter( 'tp_meta_boxes', 'themepure_metabox' );

function themepure_metabox( $meta_boxes ) {
	
	$prefix     = 'ncare';
	
	$meta_boxes[] = array(
		'metabox_id'       => $prefix . '_page_meta_box',
		'title'    => esc_html__( 'TP Page Info', 'ncare' ),
		'post_type'=> ['page', 'post'],
		'priority' => 'core',
		'context'  => 'normal',
		'fields'   => array( 
			array(
				'label'    => esc_html__( 'Show Breadcrumb?', 'ncare' ),
				'id'      => "{$prefix}_check_bredcrumb",
				'type'    => 'switch',
				'default' => 'on',
				'conditional' => array()
			),		
			array(
				'label'    => esc_html__( 'Show Breadcrumb Image?', 'ncare' ),
				'id'      => "{$prefix}_check_bredcrumb_img",
				'type'    => 'switch',
				'default' => 'on',
				'conditional' => array()
			), 
            array(
				
				'label'    => esc_html__( 'Breadcrumb Background', 'ncare' ),
				'id'      => "{$prefix}_breadcrumb_bg",
				'type'    => 'image',
				'default' => '',
				'conditional' => array(
					"{$prefix}_check_bredcrumb_img", "==", "on"
				)
			),

            array(
				'label'    => esc_html__( 'Enable Secondary Logo', 'ncare' ),
				'id'      => "{$prefix}_en_secondary_logo",
				'type'    => 'switch',
				'default' => 'off',
				'conditional' => array()
			), 
			
            array(
				'label' => 'Footer BG Color',
				'id'   	=> "{$prefix}_footer_bg_color",
				'type' 	=> 'colorpicker',
				'default' 	  => '',
				'conditional' => array()
			),

            // multiple buttons group field like multiple radio buttons
			array(
				'label'   => esc_html__( 'Header', 'ncare' ),
				'id'      => "{$prefix}_header_tabs",
				'desc'    => '',
				'type'    => 'tabs',
				'choices' => array(
					'default' => esc_html__( 'Default', 'ncare' ),
					'custom' => esc_html__( 'Custom', 'ncare' ),
					// 'elementor' => esc_html__( 'Elementor', 'ncare' ),
				),
				'default' => 'default',
				'conditional' => array()
			), 

            // select field dropdown
			array(
				
				'label'           => esc_html__('Select Header Style', 'ncare'),
				'id'              => "{$prefix}_header_style",
				'type'            => 'select',
				'options'         => array(
					'header_1' => esc_html__( 'Header 1', 'ncare' ),
					'header_2' => esc_html__( 'Header 2', 'ncare' ),
					'header_3' => esc_html__( 'Header 3', 'ncare' ),
					'header_4' => esc_html__( 'Header 4', 'ncare' ),
					'header_5' => esc_html__( 'Header 5', 'ncare' ),
					'header_6' => esc_html__( 'Header 6', 'ncare' ),
				),
				'placeholder'     => esc_html__( 'Select a header', 'ncare' ),
				'conditional' => array(
					"{$prefix}_header_tabs", "==", "custom"
				),
				'default' => 'header_1',
				'parent' => "{$prefix}_header_tabs"
			),

            // select field dropdown
			array(
				
				'label'           => esc_html__('Select Header Template', 'ncare'),
				'id'              => "{$prefix}_header_templates",
				'type'            => 'select_posts',
				'placeholder'     => esc_html__( 'Select a template', 'ncare' ),
                'post_type'       => 'tp-header',
				'conditional' => array(
					"{$prefix}_header_tabs", "==", "elementor"
				),
				'default' => '',
				'parent' => "{$prefix}_header_tabs"
			),


            // multiple buttons group field like multiple radio buttons
			array(
				'label'   => esc_html__( 'Footer', 'ncare' ),
				'id'      => "{$prefix}_footer_tabs",
				'desc'    => '',
				'type'    => 'tabs',
				'choices' => array(
					'default' => esc_html__( 'Default', 'ncare' ),
					'custom' => esc_html__( 'Custom', 'ncare' ),
					// 'elementor' => esc_html__( 'Elementor', 'ncare' ),
				),
				'default' => 'default',
				'conditional' => array()
			), 

            // select field dropdown
			array(
				
				'label'           => esc_html__('Select Footer Style', 'ncare'),
				'id'              => "{$prefix}_footer_style",
				'type'            => 'select',
				'options'         => array(
					'footer_1' => esc_html__( 'Footer 1', 'ncare' ),
					'footer_2' => esc_html__( 'Footer 2', 'ncare' ),
				),
				'placeholder'     => esc_html__( 'Select a footer', 'ncare' ),
				'conditional' => array(
					"{$prefix}_footer_tabs", "==", "custom"
				),
				'default' => 'footer_1',
				'parent' => "{$prefix}_footer_tabs"
			),

            // select field dropdown
			array(
				
				'label'           => esc_html__('Select Footer Template', 'ncare'),
				'id'              => "{$prefix}_footer_templates",
				'type'            => 'select_posts',
				'placeholder'     => esc_html__( 'Select a template', 'ncare' ),
                'post_type'       => 'tp-footer',
				'conditional' => array(
					"{$prefix}_footer_tabs", "==", "elementor"
				),
				'default' => '',
				'parent' => "{$prefix}_footer_tabs"
			),
			array(
				
				'label'           => esc_html__('Select Offcanvas Style', 'ncare'),
				'id'              => "{$prefix}_offcanvas_style",
				'type'            => 'select',
				'options'         => array(
					'offcanvas-style-1' => esc_html__( 'Offcanvas 1', 'ncare' ),
				),
				'placeholder'     => esc_html__( 'Select a offcanvas', 'ncare' ),
				'default' => '',
			),
		),
	);

    $meta_boxes[] = array(
		'metabox_id'       => $prefix . '_post_gallery_meta',
		'title'    => esc_html__( 'TP Gallery Post', 'ncare' ),
		'post_type'=> 'post',
		'context'  => 'normal',
		'priority' => 'core',
		'fields'   => array( 
            array(
				'label'    => esc_html__( 'Gallery', '' ),
				'id'      => "{$prefix}_post_gallery",
				'type'    => 'gallery',
				'default' => '',
				'conditional' => array(),
			),
		),
		'post_format' => 'gallery'
	);    

	$meta_boxes[] = array(
		'metabox_id'       => $prefix . '_post_video_meta',
		'title'    => esc_html__( 'TP Video Post', 'ncare' ),
		'post_type'=> 'post',
		'context'  => 'normal',
		'priority' => 'core',
		'fields'   => array( 
			array(
				'label'    => esc_html__( 'Video', 'ncare' ),
				'id'      => "{$prefix}_post_video",
				'type'    => 'text',
				'default' => '',
				'conditional' => array(),
				'placeholder'     => esc_html__( 'Place your video url.', 'ncare' ),
			),
		),
		'post_format' => 'video'
	);	

	$meta_boxes[] = array(
		'metabox_id'       => $prefix . '_post_audio_meta',
		'title'    => esc_html__( 'TP Audio Post', 'ncare' ),
		'post_type'=> 'post',
		'context'  => 'normal',
		'priority' => 'core',
		'fields'   => array( 
			array(
				'label'    => esc_html__( 'Audio', 'ncare' ),
				'id'      => "{$prefix}_post_audio",
				'type'    => 'text',
				'default' => '',
				'conditional' => array(),
				'placeholder'     => esc_html__( 'Place your audio url..', 'ncare' ),
			),
		),
		'post_format' => 'audio'
	);

	$meta_boxes[] = array(
		'metabox_id'       => $prefix . '_product_single_feature',
		'title'    => esc_html__( 'Product Single Features', 'ncare' ),
		'post_type'=> 'product',
		'context'  => 'normal',
		'priority' => 'core',
		'fields'   => array(
			array(
    
				'label'           => esc_html__('Product Single Layout', 'ncare'),
				'id'              => "{$prefix}_product_single_layout",
				'type'            => 'select',
				'options'         => array(
					'default' => 'Default View',
					'list' => 'List View',
					'grid' => 'Grid View',
					'vertical' => 'Vertical Tab',
					'carousel' => 'Carousel View',
				),
				'placeholder'     => 'Select an item',
				'conditional' => array(),
				'default' => 'default'
			),

			array(
				'label'    => esc_html__( 'Video', 'ncare' ),
				'id'      => "{$prefix}_product_signle__video",
				'type'    => 'text',
				'default' => '',
				'conditional' => array(),
				'placeholder'     => esc_html__( 'Place your video url.', 'ncare' ),
			), 
			array(
				'label'    => esc_html__( 'Is Product On Trending?', 'ncare' ),
				'id'      => "{$prefix}_product_on_trending",
				'type'    => 'switch',
				'default' => 'off',
			),
			array(
				'label'    => esc_html__( 'Is Product On Hot?', 'ncare' ),
				'id'      => "{$prefix}_product_on_hot",
				'type'    => 'switch',
				'default' => 'off',
			),

			array(
				'label'     => esc_html__('Add Product Feature', 'ncare'),
				'id'        => "{$prefix}_product_single_fea_meta",
				'type'      => 'repeater', // specify the type "repeater" (case sensitive)
				'conditional'   => array(),
				'default'       => array(),
				'fields'        => array(
					array(
						'label' => 'Enter Feature Text',
						'id'   	=> "{$prefix}_product_signle_fea",
						'type' 	=> 'textarea', // specify the type field
						'placeholder' => 'Your feature here...',
						'default' 	  => '',
						'conditional' => array()
					),
				)
			),

			array(
				
				'label'    => esc_html__( 'Product Main Thumbnail', 'ncare' ),
				'id'      => "{$prefix}_get_img_thumbnail",
				'type'    => 'image',
				'default' => ''
			),
		),
	);

	if ( class_exists( 'WooCommerce' ) ) {
		$img = wc_placeholder_img_src( 'woocommerce_single' );

		$meta_boxes[] = array(
			'metabox_id'       => $prefix . '_shop_coupon',
			'title'    => esc_html__( 'Add Coupon', 'ncare' ),
			'post_type'=> 'shop_coupon',
			'context'  => 'normal',
			'priority' => 'core',
			'fields'   => array( 
				array(
					'label'    => esc_html__( 'Upload Coupon Image', 'ncare' ),
					'id'      => "{$prefix}_coupon_thumbnail",
					'type'    => 'image',
					'default' => $img[0],
					'conditional' => array(),
					'placeholder'     => esc_html__( 'Place Your Image', 'ncare' ),
				),
			),
		);
	}
	

	return $meta_boxes;
}


function ncare_author_metas(){
	$meta = array(
		 'id'    => 'ncare_blog_user_meta',
		 'label' => 'Blog Author Metas',
		 'fields' => array(
			  array(
					'id'    => 'blog_author_avatar',
					'label' => 'Author avatar',
					'type'  => 'image',
					'default' => '',
					'show_in_admin_table' => 1 
			  ),
			  array(
				'id'    => 'blog_author_position',
				'label' => 'Author Position',
				'type'  => 'text',
				'default' => 'CEO, Business Co',
				'placeholder' => 'type position...' ,
				'show_in_admin_table' => 1
		  ),
			  array(
					'id'    => 'blog_author_facebook_url',
					'label' => 'Facebook URL',
					'type'  => 'text',
					'default' => 'https://facebook.com',
					'placeholder' => 'Facebook URL...' ,
					'show_in_admin_table' => 1
			  ),
			  array(
				'id'    => 'blog_author_twitter_url',
				'label' => 'Twitter URL',
				'type'  => 'text',
				'default' => 'https://twitter.com',
				'placeholder' => 'twitter URL...' ,
				'show_in_admin_table' => 1
		  ),
		  array(
				'id'    => 'blog_author_linkedin_url',
				'label' => 'Linkedin URL',
				'type'  => 'text',
				'default' => 'https://linkedin.com',
				'placeholder' => 'linkedin URL...' ,
				'show_in_admin_table' => 1
		  ),
		  array(
				'id'    => 'blog_author_vimeo_url',
				'label' => 'Vimeo URL',
				'type'  => 'text',
				'default' => 'https://vimeo.com',
				'placeholder' => 'vimeo URL...' ,
				'show_in_admin_table' => 1
		  ),
			  array(
					'id'    => 'blog_author_bio',
					'label' => 'Author BIO',
					'type'  => 'textarea',
					'default' => 'This a demo user bio for the testing purpose', 
					'placeholder' => 'Give a short bio...' ,
					'show_in_admin_table' => 1
			  ),
			  array(
					'id'    => 'blog_author_is_bio',
					'label' => 'Is author bio?',
					'type'  => 'checkbox',
					'default' => 'off',
					'show_in_admin_table' => 0
			  ),
			  array(
					'id'    => 'blog_author_role_select',
					'label' => 'Author Role',
					'type'  => 'select',
					'options'   => array(
						 'administrator'     => 'Administrator',
						 'subscriber'        => 'Subscriber',
						 'editor'            => 'Editor',
					),
					'default' => 'administrator', 
					'placeholder' => 'Select a role',
					'show_in_admin_table' => 0
			  ),
		 )
	);

	return $meta;
}
add_filter('tp_user_meta', 'ncare_author_metas');