<?php

// shop page hooks
remove_action('woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30);
// remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);

// content-product hooks--
// action remove
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);

//single hook remove
remove_action('woocommerce_single_product_summary','woocommerce_template_single_title',5);
remove_action('woocommerce_single_product_summary','woocommerce_template_single_rating',10);
remove_action('woocommerce_single_product_summary','woocommerce_template_single_price',10);
remove_action('woocommerce_single_product_summary','woocommerce_template_single_excerpt',20);
remove_action('woocommerce_single_product_summary','woocommerce_template_single_add_to_cart',30);
remove_action('woocommerce_single_product_summary','woocommerce_template_single_meta',40);
remove_action('woocommerce_single_product_summary','woocommerce_template_single_sharing',50);


// compare_false
add_filter( 'woosc_button_position_archive', '__return_false' );
add_filter( 'woosc_button_position_single', '__return_false' );

// wishlist false
add_filter( 'woosw_button_position_archive', '__return_false' );
add_filter( 'woosw_button_position_single', '__return_false' );


// product-content single
if( !function_exists('ncare_content_single_details') ) {
    function ncare_content_single_details( ) {
        global $product;
        global $post;
        global $woocommerce;
        $product_id = get_the_ID();
        $rating = wc_get_rating_html($product->get_average_rating());
        $avarage_rating =$product->get_average_rating();
        $ratingcount = $product->get_review_count();
        $regularPrice = $product->get_regular_price();
        $sale_price = $product->get_sale_price();
        $currency_symbol = get_woocommerce_currency_symbol();
        $sku = $product->get_sku();
        $product_tags = wp_get_post_terms($product_id, 'product_tag');

        $attachment_ids = $product->get_gallery_image_ids();

        foreach( $attachment_ids as $attachment_id ) {
            $image_link = wp_get_attachment_url( $attachment_id );
        }

        $categories = get_the_terms( $post->ID, 'product_cat' );
        $stock = $product->is_in_stock();
        $stock_quantify = $product->get_stock_quantity();

        // Get the product categories for the current product
        $product_categories = get_the_terms($product_id, 'product_cat');

        ?>

<div class="tp-product-details-wrapper">
    <div class="tp-product-details-category">
        <span><?php
            if ($product_categories && !is_wp_error($product_categories)) {
                $catCount = count($product_categories);
                foreach ($product_categories as $index => $category) {
                    $index+=1;
                    $semiClone = $catCount != $index ? ', ' : NULL;
                    echo esc_html( $category->name ).$semiClone;
                }
            } else {
                echo 'No categories found.';
            }
        ?></span>
    </div>
    <h3 class="tp-product-details-title"><?php the_title(); ?></h3>

    <!-- inventory details -->
    <div class="tp-product-details-inventory d-flex align-items-center mb-10">
        <div class="tp-product-details-stock mb-10">
            <?php if ( $stock ) : ?>
            <span
                class="tpproduct-details__stock in-stock"><?php echo esc_attr($stock_quantify." ");?><?php echo esc_html__('In Stock', 'ncare');?></span>
            <?php else : ?>
            <span class="tpproduct-details__stock out-stock"><?php echo esc_html__('Out Of Stock', 'ncare');?></span>
            <?php endif; ?>
        </div>
        <div class="tp-product-details-rating-wrapper d-flex align-items-center mb-10">
        <?php if(!empty($rating)) : ?>   
            <div class="tp-product-details-rating">
            <?php echo wp_kses_post($rating); ?>
            </div>
            <div class="tp-product-details-reviews">
            <span>(<?php echo esc_html( $ratingcount ); ?> <?php echo esc_html__('Reviews', 'ncare');?>)</span>
            </div>
        <?php else : ?>
            <div class="tp-product-details-rating">
                <span><i class="fal fa-star"></i></span>
                <span><i class="fal fa-star"></i></span>
                <span><i class="fal fa-star"></i></span>
                <span><i class="fal fa-star"></i></span>
                <span><i class="fal fa-star"></i></span>
                </div>
                <div class="tp-product-details-reviews">
                <span>(<?php echo esc_html( $ratingcount ); ?> <?php echo esc_html__('Reviews', 'ncare');?>)</span>
            </div>
        <?php endif; ?>
        </div>
    </div>
    <!-- price -->
    <div class="tp-product-details-price-wrapper mb-20"> 
        <?php if (  $sale_price && $regularPrice ):?>
        <span class="tp-product-details-price old-price"><?php echo esc_html( $currency_symbol ); ?><?php echo esc_html($regularPrice ); ?></span>
        <span class="tp-product-details-price new-price"><?php echo esc_html( $currency_symbol); ?><?php echo esc_html( $sale_price ); ?></span>
        <?php elseif( $regularPrice ) : ?>
            <span class="tp-product-details-price"><?php echo esc_html( $currency_symbol); ?><?php echo esc_html($regularPrice ); ?></span>
        <?php else :?> 

        <?php endif;?>
    </div>

    <p class="mb-15"><?php woocommerce_template_single_excerpt(); ?></p>


    <!-- actions -->
    <div class="tp-product-details-action-wrapper">
        <h3 class="tp-product-details-action-title"><?php echo esc_html__('Quantity', 'ncare');?></h3>
        <?php woocommerce_template_single_add_to_cart(); ?>
    </div>

    <div class="tp-product-details-action-sm">			
        <?php if( function_exists( 'woosw_init' )) : ?>
            <button type="button" class="tp-product-details-action-sm-btn">
            <?php echo do_shortcode('[woosw]'); ?>
        </button>
        <?php endif; ?>

        <?php if( function_exists( 'woosc_init' )) : ?>
            <button type="button" class="tp-product-details-action-sm-btn">
            <?php echo do_shortcode('[woosc]');?>                                       
        </button>
        
        <?php endif; ?>
    </div>

    <div class="tp-product-details-query">
        <div class="tp-product-details-query-item d-flex align-items-center">
            <span><?php echo esc_html__('SKU:','ncare');?> </span>
            <p><?php echo esc_html( $sku ); ?></p>
        </div>
        <?php  if ($product_categories && !is_wp_error($product_categories)) : ?>
        <div class="tp-product-details-query-item d-flex align-items-center">
            <span><?php echo esc_html__('Category:','ncare');?>  </span>
            <p><?php  if ($product_categories && !is_wp_error($product_categories)) {
                $catCount = count($product_categories);
                foreach ($product_categories as $index => $category) {
                    $index+=1;
                    $semiClone = $catCount != $index ? ', ' : NULL;
                    echo esc_html( $category->name ).$semiClone;
                }
            }?></p>
        </div>
        <?php endif; ?>
        <?php  if (!empty($product_tags)) : ?>
        <div class="tp-product-details-query-item d-flex align-items-center">
            <span><?php echo esc_html__('Tag:','ncare');?> </span>
            <p><?php 
            if (!empty($product_tags)) {
                    echo esc_html( $tag->name );
                    }
            ?></p>
        </div>
        <?php endif; ?>
    </div>
    <?php ncare_product_single_social() ?>
    <div class="tp-product-details-msg mb-15">
        <ul>
            <?php
            $tp_product_features = tpmeta_field( 'ncare_product_single_fea_meta' );
            if(!empty( $tp_product_features)):
            foreach( $tp_product_features as $item):
            ?>
                <li><?php echo esc_html( $item['ncare_product_signle_fea'] ); ?></li>
           <?php endforeach; ?>
           <?php endif; ?>
        </ul>
    </div>
    
</div>

<?php
    }
}
add_action( 'woocommerce_single_product_summary', 'ncare_content_single_details', 4 );



/*************************************************
## Free shipping progress bar.
*************************************************/
function ncare_shipping_progress_bar() {
        
        $total           = WC()->cart->get_displayed_subtotal();
        $limit           = get_theme_mod( 'shipping_progress_bar_amount' );
        $percent         = 100;


        if ( $total < $limit ) {
            $percent = floor( ( $total / $limit ) * 100 );
            $message = str_replace( '[remainder]', wc_price( $limit - $total ), get_theme_mod( 'shipping_progress_bar_message_initial') );
        } else {
            $message = get_theme_mod( 'shipping_progress_bar_message_success' );
        }
        
    ?>

<div class="tp-free-progress-bar">
    <div class="free-shipping-notice">
        <?php echo wp_kses( $message, 'post' ); ?>
    </div>
    <div class="tp-progress-bar">
        <span class="progress progress-bar progress-bar-striped progress-bar-animated"
            data-width="<?php echo esc_attr( $percent ); ?>%"></span>
    </div>
</div>

<?php
}
    
if(get_theme_mod( 'shipping_progress_bar_location_card_page',0) == '1'){
    add_action( 'woocommerce_before_cart_table',  'ncare_shipping_progress_bar' );
}

if(get_theme_mod( 'shipping_progress_bar_location_mini_cart',0) == '1'){
    add_action( 'woocommerce_before_mini_cart_contents', 'ncare_shipping_progress_bar' );
}

if(get_theme_mod( 'shipping_progress_bar_location_checkout',0) == '1'){
    add_action( 'woocommerce_checkout_before_customer_details', 'ncare_shipping_progress_bar' );
}


/*************************************************
## sale percentage
*************************************************/

function ncare_sale_percentage(){
   global $product;
   $output = '';

   if ( $product->is_on_sale() && $product->is_type( 'variable' ) ) {
      $percentage = ceil(100 - ($product->get_variation_sale_price() / $product->get_variation_regular_price( 'min' )) * 100);
      $output .= '<span class="product__details-offer">-'.$percentage.'%</span>';
   } elseif( $product->is_on_sale() && $product->get_regular_price()  && !$product->is_type( 'grouped' )) {
      $percentage = ceil(100 - ($product->get_sale_price() / $product->get_regular_price()) * 100);
      $output .= '<span class="product__details-offer">-'.$percentage.'%</span>';
   }
   return $output;
}


// woocommerce mini cart content
add_filter('woocommerce_add_to_cart_fragments', function ($fragments) {
    ob_start();
    ?>
<div class="mini_shopping_cart_box">
    <?php woocommerce_mini_cart(); ?>
</div>
<?php $fragments['.mini_shopping_cart_box'] = ob_get_clean();
    return $fragments;
});

// woocommerce mini cart count icon
if ( ! function_exists( 'ncare_header_add_to_cart_fragment' ) ) {
    function ncare_header_add_to_cart_fragment( $fragments ) {
        ob_start();
        ?>
<span class="cart__count tp-cart-item">
    <?php echo esc_html( WC()->cart->cart_contents_count ); ?>
</span>
<?php
        $fragments['.tp-cart-item'] = ob_get_clean();

        return $fragments;
    }
}
add_filter( 'woocommerce_add_to_cart_fragments', 'ncare_header_add_to_cart_fragment' );


// product-content archive
if( !function_exists('ncare_content_product_grid') ) {
    function ncare_content_product_grid( ) {
        global $product;
        global $post;
        global $woocommerce;
        $rating = wc_get_rating_html($product->get_average_rating());
        $avarage_rating =$product->get_average_rating();
        $ratingcount = $product->get_review_count();
       
        $attachment_ids = $product->get_gallery_image_ids();

        foreach( $attachment_ids as $key => $attachment_id ) {
            $image_link =  wp_get_attachment_url( $attachment_id );
            $arr[] = $image_link;
        }
        
        ?>

<div class="col">
    <div class="tp-product-item mb-50">
        <div class="tp-product-thumb p-relative fix mb-25">
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
            <div class="tp-product-thumb-icon">
                <?php echo do_shortcode('[woosq]'); ?>
                <?php woocommerce_template_loop_add_to_cart();?>
                <?php echo do_shortcode('[woosw]'); ?>
            </div>
        </div>
        <div class="tp-product-content text-center">
            <span class="tp-product-title mb-5">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </span>
            <div class="tp-product-review">
                <?php   
                // Display full stars
                for ($i = 0; $i < $avarage_rating; $i++) {
                    echo '<i class="fa-solid fa-star"></i>';
                }
            
                for ($i = $avarage_rating; $i < 5; $i++) {
                    echo '<i class="fa-regular fa-star"></i>';
                }
                ?>
            </div>
        </div>
    </div>


    <div class="tp-shop-item text-center p-relative mb-50 d-none">
        <div class="tp-shop-item-thumb p-relative">
            <?php if( has_post_thumbnail() ) : ?>
            <?php if( $product->is_on_sale()) : ?>
            <span class="tpproduct__thumb-topsall"><?php woocommerce_show_product_loop_sale_flash($post->ID); ?></span>
            <?php endif; ?>
            <?php the_post_thumbnail(); ?>
            <?php endif; ?>
            <div class="tp-shop-action d-flex justify-content-center">

                <?php woocommerce_template_loop_add_to_cart();?>

                <?php if( function_exists( 'woosw_init' )) : ?>
                <div class="product-action-btn product-add-wishlist-btn mr-10 ml-10">
                    <?php echo do_shortcode('[woosw]'); ?>
                </div>
                <?php endif; ?>

                <?php if( class_exists( 'WPCleverWoosq' )) : ?>
                <?php echo do_shortcode('[woosq]'); ?>
                
                <?php endif; ?>
            </div>
        </div>
        <div class="tp-shop-item-title-wrapper">
            <h4 class="tp-shop-item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <div class="tp-product-price">
                <?php echo woocommerce_template_loop_price();?>
            </div>
        </div>
    </div>
</div>

<?php
    }
}
add_action( 'woocommerce_before_shop_loop_item', 'ncare_content_product_grid', 10 );


// smart quickview
add_filter( 'woosq_button_html', 'gncare_woosq_button_html', 10, 2 );
function gncare_woosq_button_html( $output , $prodid ) {
    return $output = '<a href="#" class="woosq-btn  woosq-btn-' . esc_attr( $prodid ) . ' ' . get_option( 'woosq_button_class' ) . '" data-id="' . esc_attr( $prodid ) . '" data-effect="mfp-3d-unfold"><i class="fal fa-eye"></i></a>';
}



// product add to cart button
function woocommerce_template_loop_add_to_cart( $args = array() ) {
    global $product;

    $stock = $product->is_in_stock();

    $stock_class = $stock ? 'stock-available' : 'stock-out';

    $price = $product->get_regular_price();

    $price_class = $price ? NULL : 'price-empty';

        if ( $product ) {
            $defaults = array(
                'quantity'   => 1,
                'class'      => implode(
                    ' ',
                    array_filter(
                        array(
                            'cart-button icon-btn button product-action product-action-1 '.$stock_class.' '.$price_class,
                            'product_type_' . $product->get_type(),
                            $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                            $product->supports( 'ajax_add_to_cart' ) && $product->is_purchasable() && $product->is_in_stock() ? 'ajax_add_to_cart' : '',
                        )
                    )
                ),
                'attributes' => array(
                    'data-product_id'  => $product->get_id(),
                    'data-product_sku' => $product->get_sku(),
                    'aria-label'       => $product->add_to_cart_description(),
                    'rel'              => 'nofollow',
                ),
            );

            $args = wp_parse_args( $args, $defaults );

            if ( isset( $args['attributes']['aria-label'] ) ) {
                $args['attributes']['aria-label'] = wp_strip_all_tags( $args['attributes']['aria-label'] );
            }
        }


         // check product type 
         if( $product->is_type( 'simple' ) ){
            $btntext = esc_html__("Add to Cart",'ncare');
         } elseif( $product->is_type( 'variable' ) ){
            $btntext = esc_html__("Select Options",'ncare');
         } elseif( $product->is_type( 'external' ) ){
            $btntext = esc_html__("Buy Now",'ncare');
         } elseif( $product->is_type( 'grouped' ) ){
            $btntext = esc_html__("View Products",'ncare');
         }
         else{
            $btntext = "Add to Cart";
         } 

        echo sprintf( '<a href="%s" data-quantity="%s" class="%s" %s>%s</a>',
            esc_url( $product->add_to_cart_url() ),
            esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
            esc_attr( isset( $args['class'] ) ? $args['class'] : 'cart-button icon-btn button product-action product-action-1 '.$stock_class ),
            isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
            '<i class="fal fa-shopping-cart"></i>'
        );
}


add_action( 'wp_footer' , 'custom_quantity_fields_script' );

// custom_quantity_fields_script
function custom_quantity_fields_script(){
    ?>
<script type='text/javascript'>
jQuery(function($) {
    if (!String.prototype.getDecimals) {
        String.prototype.getDecimals = function() {
            var num = this,
                match = ('' + num).match(/(?:\.(\d+))?(?:[eE]([+-]?\d+))?$/);
            if (!match) {
                return 0;
            }
            return Math.max(0, (match[1] ? match[1].length : 0) - (match[2] ? +match[2] : 0));
        }
    }
    // Quantity "plus" and "minus" buttons
    $(document.body).on('click', '.plus, .minus', function() {
        var $qty = $(this).closest('.quantity').find('.qty'),
            currentVal = parseFloat($qty.val()),
            max = parseFloat($qty.attr('max')),
            min = parseFloat($qty.attr('min')),
            step = $qty.attr('step');

        // Format values
        if (!currentVal || currentVal === '' || currentVal === 'NaN') currentVal = 0;
        if (max === '' || max === 'NaN') max = '';
        if (min === '' || min === 'NaN') min = 0;
        if (step === 'any' || step === '' || step === undefined || parseFloat(step) === 'NaN') step = 1;

        // Change the value
        if ($(this).is('.plus')) {
            if (max && (currentVal >= max)) {
                $qty.val(max);
            } else {
                $qty.val((currentVal + parseFloat(step)).toFixed(step.getDecimals()));
            }
        } else {
            if (min && (currentVal <= min)) {
                $qty.val(min);
            } else if (currentVal > 0) {
                $qty.val((currentVal - parseFloat(step)).toFixed(step.getDecimals()));
            }
        }

        // Trigger change event
        $qty.trigger('change');
    });
});
</script>
<?php
}


// woocommerce_breadcrumb modilfy
if ( ! function_exists( 'woocommerce_breadcrumb' ) ) {

    /**
     * Output the WooCommerce Breadcrumb.
     *
     * @param array $args Arguments.
     */
    function woocommerce_breadcrumb( $args = array() ) {
        $args = wp_parse_args(
            $args,
            apply_filters(
                'woocommerce_breadcrumb_defaults',
                array(
                    'delimiter'   => '&nbsp;&#47;&nbsp;',
                    'wrap_before' => '<nav class="woocommerce-breadcrumb">',
                    'wrap_after'  => '</nav>',
                    'before'      => '',
                    'after'       => '',
                    'home'        => _x( 'Home', 'breadcrumb', 'ncare' ),
                )
            )
        );

        $breadcrumbs = new WC_Breadcrumb();

        if ( ! empty( $args['home'] ) ) {
            $breadcrumbs->add_crumb( $args['home'], apply_filters( 'woocommerce_breadcrumb_home_url', home_url() ) );
        }

        $args['breadcrumb'] = $breadcrumbs->generate();

        /**
         * WooCommerce Breadcrumb hook
         *
         * @hooked WC_Structured_Data::generate_breadcrumblist_data() - 10
         */
        do_action( 'woocommerce_breadcrumb', $breadcrumbs, $args );

        wc_get_template( 'global/breadcrumb.php', $args );
    }
}

/*************************************************
## ncare Woo Search Form
*************************************************/ 

add_filter( 'get_product_search_form' , 'ncare_custom_product_searchform' );

function ncare_custom_product_searchform( $form ) {

	$form = '<div class="search-form p-relative">
                <form action="' . esc_url( home_url( '/shop'  ) ) . '" role="search" method="get" id="searchform">
                <input type="search" value="' . get_search_query() . '" name="s" placeholder="'.esc_attr__('Search Product','ncare').'" autocomplete="off">
                <button type="submit"><i class="fa-regular fa-arrow-right-long"></i></button> 
                </form>
            </div>';

	return $form;
}