<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ncare
 */

 $ncare_audio_url = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'ncare_post_audio' ) : NULL;
 $gallery_images = function_exists('tpmeta_gallery_field') ? tpmeta_gallery_field('ncare_post_gallery') : '';
 $ncare_video_url = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'ncare_post_video' ) : NULL;

$ncare_blog_single_social = get_theme_mod( 'ncare_blog_single_social', true );
$blog_tag_col = $ncare_blog_single_social ? 'col-xl-6 col-lg-5' : 'col-xl-12 col-lg-12';

if ( is_single() ) : ?>
    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox-item format-image mb-60 transition-3' );?>>
<!-- if post has thumbnail -->
<?php if ( has_post_format('image') ): ?>  
    <?php if ( has_post_thumbnail() ): ?>   
        <div class="postbox-thumb mb-25">
            <a href="<?php the_permalink();?>">
                <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
            </a>
        </div>
    <?php endif; ?>

<!-- if post has video -->
<?php elseif ( has_post_format('video') ): ?> 
    <?php if ( has_post_thumbnail() ): ?> 
    <div class="postbox-thumb postbox-video p-relative mb-25">

        <a href="<?php the_permalink();?>">
            <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
        </a>
        
        <?php if(!empty($ncare_video_url)) : ?>
            <a href="<?php print esc_url( $ncare_video_url );?>" class="play-btn pulse-btn popup-video"><i class="fas fa-play"></i></a>
        <?php endif; ?>

    </div>
    <?php endif; ?>

<!-- if post has audio -->
<?php elseif ( has_post_format('audio') ): ?> 

    <?php if ( !empty( $ncare_audio_url ) ): ?>
    <div class="postbox-thumb postbox-video  p-relative mb-25">
        <?php echo wp_oembed_get( $ncare_audio_url ); ?>
    </div>
    <?php endif; ?>

    <!-- if post has gallery -->
    <?php elseif ( has_post_format('gallery') ): ?> 
        <?php if ( !empty( $gallery_images ) ): ?>
        <div class="postbox-thumb postbox-slider swiper-container p-relative mb-25">
            <div class="swiper-wrapper">
                <?php foreach ( $gallery_images as $key => $image ): ?>
                <div class="postbox-slider-item swiper-slide">
                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                </div>
                <?php endforeach;?>
            </div>
            <div class="postbox-nav">
                <button class="postbox-slider-button-next">
                <i class="fa-sharp fa-regular fa-arrow-right"></i>
                </button>
                <button class="postbox-slider-button-prev">
                <i class="fa-sharp fa-regular fa-arrow-left"></i>
                </button>
            </div>
        </div>
    <?php endif; ?>

<?php else: ?>
    <?php if ( has_post_thumbnail() ): ?>   
    <div class="postbox-thumb">
        <a href="<?php the_permalink();?>">
            <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
        </a>
    </div>
    <?php endif; ?>
<?php endif; ?>
     <!-- blog meta -->
     <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>

     <h3 class="tp-postbox-title2"><?php the_title();?></h3>
     <?php the_content();?>
     <?php
            wp_link_pages( [
                'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'ncare' ),
                'after'       => '</div>',
                'link_before' => '<span class="page-number">',
                'link_after'  => '</span>',
            ] );
        ?>
    <?php if(has_tag() OR $ncare_blog_single_social) :?>
        <div class="postbox-meta-wrapper">
            <div class="postbox-share mb-50">
                <div class="row">
                    <div class="<?php echo esc_attr($blog_tag_col); ?>">
                        <?php print ncare_get_tag(); ?>
                    </div>
                    <?php if(!empty($ncare_blog_single_social)) :?> 
                    <div class="col-xl-6 col-lg-7">  
                        <div class="postbox-social text-lg-end mb-20">
                        <?php if(function_exists('ncare_blog_single_social')): ?>
                            <?php print ncare_blog_single_social(); ?> 
                        <?php endif; ?>
                        </div>
                    </div>
                <?php endif; ?>
                </div>
            </div>
        </div>   
    <?php endif ?>
 </article>
   
<?php else: ?>

    <article id="post-<?php the_ID();?>" <?php post_class( 'postbox-item format-image mb-60 transition-3' );?> >
        
        <!-- if post has thumbnail -->
        <?php if ( has_post_format('image') ): ?>  
            <?php if ( has_post_thumbnail() ): ?>   
                <div class="postbox-thumb mb-25">
                    <a href="<?php the_permalink();?>">
                        <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
                    </a>
                </div>
            <?php endif; ?>

        <!-- if post has video -->
        <?php elseif ( has_post_format('video') ): ?> 
            <?php if ( has_post_thumbnail() ): ?> 
            <div class="postbox-thumb postbox-video p-relative mb-25">

                <a href="<?php the_permalink();?>">
                    <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
                </a>
                
                <?php if(!empty($ncare_video_url)) : ?>
                    <a href="<?php print esc_url( $ncare_video_url );?>" class="play-btn pulse-btn popup-video"><i class="fas fa-play"></i></a>
                <?php endif; ?>

            </div>
            <?php endif; ?>

        <!-- if post has audio -->
        <?php elseif ( has_post_format('audio') ): ?> 

            <?php if ( !empty( $ncare_audio_url ) ): ?>
            <div class="postbox-thumb postbox-video p-relative mb-25">
                <?php echo wp_oembed_get( $ncare_audio_url ); ?>
            </div>
            <?php endif; ?>
        
            <!-- if post has gallery -->
            <?php elseif ( has_post_format('gallery') ): ?> 
                <?php if ( !empty( $gallery_images ) ): ?>
                <div class="postbox-thumb postbox-slider swiper-container p-relative mb-25">
                    <div class="swiper-wrapper">
                        <?php foreach ( $gallery_images as $key => $image ): ?>
                        <div class="postbox-slider-item swiper-slide">
                            <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                        </div>
                        <?php endforeach;?>
                    </div>
                    <div class="postbox-nav">
                        <button class="postbox-slider-button-next">
                        <i class="fa-sharp fa-regular fa-arrow-right"></i>
                        </button>
                        <button class="postbox-slider-button-prev">
                        <i class="fa-sharp fa-regular fa-arrow-left"></i>
                        </button>
                    </div>
                </div>
            <?php endif; ?>

        <?php else: ?>
            <?php if ( has_post_thumbnail() ): ?>   
            <div class="postbox-thumb">
                <a href="<?php the_permalink();?>">
                    <?php the_post_thumbnail( 'full', ['class' => 'img-responsive'] );?>
                </a>
            </div>
            <?php endif; ?>
        <?php endif; ?>

        <div class="postbox-content">
            <!-- blog meta -->
            <?php get_template_part( 'template-parts/blog/blog-meta' ); ?>
            <h3 class="postbox-title">
                <a href="<?php the_permalink();?>"><?php the_title();?></a>
            </h3>
            <div class="postbox-text">
                <?php the_excerpt();?>
            </div>
            <!-- blog btn -->
            <?php get_template_part( 'template-parts/blog/blog-btn' ); ?>
        </div>

    </article>
<?php endif;?>