<?php 

/**
 * Template part for displaying footer layout one
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ncare
*/

$footer_bg_img = get_theme_mod( 'ncare_footer_bg' );
$ncare_footer_logo = get_theme_mod( 'ncare_footer_logo' );
$ncare_footer_top_space = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'ncare_footer_top_space' ) : '0';

$ncare_footer_payment = get_theme_mod( 'footer_payment_img' );
$ncare_footer_payment_url_from_page = function_exists( 'tpmeta_image_field' ) ? tpmeta_image_field( 'ncare_footer_payment' ) : '';
$ncare_footer_payment = !empty( $ncare_footer_payment_url_from_page['url'] ) ? $ncare_footer_payment_url_from_page['url'] : $ncare_footer_payment;

$ncare_copyright_center = $ncare_footer_payment ? 'col-sm-6' : 'col-sm-12 text-center';
$ncare_footer_bg_url_from_page = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'ncare_footer_bg' ) : '';
$ncare_footer_bg_color_from_page = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'ncare_footer_bg_color' ) : '';
$footer_bg_color = get_theme_mod( 'ncare_footer_bg_color', '#051A53' );

$ncare_fb_link    = get_theme_mod( 'ncare_fb_link', __( 'facebook.com', 'ncare' ) );
$ncare_tw_link    = get_theme_mod( 'ncare_tw_link', __( 'twitter.com', 'ncare' ) );
$ncare_vm_link    = get_theme_mod( 'ncare_vm_link', __( 'vimeo.com', 'ncare' ) );
$ncare_pt_link    = get_theme_mod( 'ncare_pt_link', __( 'pinterest.com', 'ncare' ) );

$ncare_terms_link    = get_theme_mod( 'ncare_terms_link', __( '#', 'ncare' ) );
$ncare_privacy_link    = get_theme_mod( 'ncare_privacy_link', __( '#', 'ncare' ) );

$ncare_footer_title    = get_theme_mod( 'ncare_footer_title', __( 'Send us Messege We Will Get Back To your ASAP!', 'ncare' ) );

// bg image
$bg_img = !empty( $ncare_footer_bg_url_from_page['url'] ) ? $ncare_footer_bg_url_from_page['url'] : $footer_bg_img;

// bg color
$bg_color = !empty( $ncare_footer_bg_color_from_page ) ? $ncare_footer_bg_color_from_page : $footer_bg_color;

// footer_columns
$footer_columns = 0;
$footer_widgets = get_theme_mod( 'footer_widget_number', 2 );

for ( $num = 1; $num <= $footer_widgets; $num++ ) {
    if ( is_active_sidebar( 'footer-2-' . $num ) ) {
        $footer_columns++;
    }
}

switch ( $footer_columns ) {
case '1':
    $footer_class[1] = 'col-lg-12';
    break;
case '2':
    $footer_class[1] = 'col-lg-6 col-md-6';
    $footer_class[2] = 'col-lg-6 col-md-6';
    break;
case '3':
    $footer_class[1] = 'col-xl-4 col-lg-6 col-md-5';
    $footer_class[2] = 'col-xl-4 col-lg-6 col-md-7';
    $footer_class[3] = 'col-xl-4 col-lg-6';
    break;
case '4':
    $footer_class[1] = 'col-xl-4 col-lg-3 col-md-4 col-sm-6';
    $footer_class[2] = 'col-xl-2 col-lg-3 col-md-4 col-sm-6';
    $footer_class[3] = 'col-xl-3 col-lg-3 col-md-4 col-sm-6';
    $footer_class[4] = 'col-xl-3 col-lg-3 col-md-4 col-sm-6';
    break;
default:
    $footer_class = 'col-xl-3 col-lg-3 col-md-6';
    break;
}

?>

   <!-- footer-area-start -->
   <footer>
      <div class="footr-area theme-bg" data-bg-color="<?php echo esc_attr( $bg_color );?>">
         <?php if ( is_active_sidebar('footer-2-1') OR is_active_sidebar('footer-2-2') ): ?>
         <div class="footer-top pt-80">
            <div class="container">
               <div class="row">
                  <div class="col-lg-7">
                     <div class="tp-footer-wrapper">
                        <div class="row">
                           <?php
                              if ( $footer_columns < 3 ) {
                                 print '<div class="col-lg-5 col-md-6">';
                                 dynamic_sidebar( 'footer-2-1' );
                                 print '</div>';

                                 print '<div class="offset-lg-1 col-lg-6 col-md-6">';
                                 dynamic_sidebar( 'footer-2-2' );
                                 print '</div>';

                              } else {
                                 for ( $num = 1; $num <= $footer_columns; $num++ ) {
                                    if ( !is_active_sidebar( 'footer-col-' . $num ) ) {
                                          continue;
                                    }
                                    print '<div class="' . esc_attr( $footer_class[$num] ) . '">';
                                    dynamic_sidebar( 'footer-col-' . $num );
                                    print '</div>';
                                 }
                              }
                           ?>
                          
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <?php endif; ?>   
         <div class="tp-footer-bottom">
            <div class="container">
               <div class="tp-footer-bottom-wrap">
                  <div class="row align-items-center">
                     <div class="col-lg-4 col-md-4">
                        <div class="tp-footer-copyright text-center text-md-start">
                        <p><?php print ncare_copyright_text(); ?></p>
                        </div>
                     </div>
                     <div class="col-lg-4 col-md-4">
                        <div class="tp-footer-social text-center">
                        <?php if(!empty($ncare_fb_link)) : ?>
                              <a href="<?php echo esc_url( $ncare_fb_link ); ?>"><i class="fa-brands fa-facebook-f"></i></a>
                              <?php endif; ?>
                              <?php if(!empty($ncare_tw_link)) : ?>
                              <a href="<?php echo esc_url( $ncare_tw_link ); ?>"><i class="fa-brands fa-twitter"></i></a>
                              <?php endif; ?>
                              <?php if(!empty($ncare_vm_link)) : ?>
                              <a href="<?php echo esc_url( $ncare_vm_link ); ?>"><i class="fa-brands fa-vimeo-v"></i></a>
                              <?php endif; ?>
                              <?php if(!empty($ncare_pt_link)) : ?>
                              <a href="<?php echo esc_url( $ncare_pt_link ); ?>"><i class="fa-brands fa-pinterest-p"></i></a>
                           <?php endif; ?>
                        </div>
                     </div>
                     <div class="col-lg-4 col-md-4">
                        <div class="tp-footer-terms text-center text-md-end">
                              <a href="<?php echo esc_url( $ncare_terms_link ); ?>"><?php echo esc_html__( 'Terms of Use', 'ncare' ); ?></a>
                              <a href="<?php echo esc_url( $ncare_privacy_link ); ?>"><?php echo esc_html__( 'Privacy Policy', 'ncare' ); ?></a>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </footer>
      <!-- footer-area-end -->
    