<?php 

	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package ncare
	*/

   // header styles
   $ncare_transparent_header = get_theme_mod( 'ncare_transparent_header', false );
   $is_transparent_header = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'enable_transparent_header' ) : NULL;
   
   $ncare_sticky_switch = get_theme_mod( 'ncare_sticky_switch', false );
   $enable_sticky = !empty($ncare_sticky_switch) ? 'd-none' : 'tp-header-sticky';

   // topbar settings
   $ncare_topbar_switch = get_theme_mod( 'header_topbar_switch', false );
   $enable_bottom_menu = get_theme_mod( 'enable_bottom_menu', false );

   $ncare_fb_link    = get_theme_mod( 'ncare_fb_link', __( 'facebook.com', 'ncare' ) );
   $ncare_tw_link    = get_theme_mod( 'ncare_tw_link', __( 'twitter.com', 'ncare' ) );
   $ncare_vm_link    = get_theme_mod( 'ncare_vm_link', __( 'vimeo.com', 'ncare' ) );
   $ncare_pt_link    = get_theme_mod( 'ncare_pt_link', __( 'pinterest.com', 'ncare' ) );
   $ncare_ins_link    = get_theme_mod( 'ncare_ins_link', __( 'pinterest.com', 'ncare' ) );
   $ncare_linkedin_link    = get_theme_mod( 'ncare_linkedin_link', __( 'linkedin.com', 'ncare' ) );
   $ncare_behance_link    = get_theme_mod( 'ncare_behance_link', __( 'behance.com', 'ncare' ) );
   $ncare_flickr_link    = get_theme_mod( 'ncare_flickr_link', __( 'flickr.com', 'ncare' ) );
   $ncare_medium_link    = get_theme_mod( 'ncare_medium_link', __( 'medium.com', 'ncare' ) );
   $ncare_whatsapp_link    = get_theme_mod( 'ncare_whatsapp_link', __( '', 'ncare' ) );

   $ncare_about_link              = get_theme_mod( 'ncare_topbar_about_link', __( '#', 'ncare' ) );
   $ncare_faq_link                = get_theme_mod( 'ncare_topbar_faq_link', __( '#', 'ncare' ) );
   $ncare_top_bar_contact_link    = get_theme_mod( 'ncare_topbar_faq_link', __( '#', 'ncare' ) );
   
   $ncare_tel_subtitle        = get_theme_mod( 'ncare_tel_subtitle', __( 'Talk with us', 'ncare' ) );
   $ncare_tel_text            = get_theme_mod( 'ncare_tel_text', __( '+ 202-555-0167', 'ncare' ) );
   $ncare_tel_link = preg_replace("/[^0-9]/", "", $ncare_tel_text);
   $ncare_email_address       = get_theme_mod( 'ncare_email_address', __( 'hix@support.com', 'ncare' ) );
   $ncare_time                = get_theme_mod( 'ncare_time', __( 'Mon - Fri 8:00 - 18:00 / Sunday 8:00 - 14:00', 'ncare' ) );

   $ncare_header_lang         = get_theme_mod( 'ncare_header_lang', false );
   $ncare_header_currency     = get_theme_mod( 'ncare_header_currency', false );
   $ncare_header_account      = get_theme_mod( 'ncare_header_account', false );
   $ncare_header_number       = get_theme_mod( 'ncare_header_number', __( '+88 1900 6789 56', 'ncare' ) );
   $ncare_contact_link = preg_replace("/[^0-9]/", "", $ncare_header_number);

   $ncare_enable_social_icon      = get_theme_mod( 'enable_social_icon', true );
   $ncare_enable_link_menu      = get_theme_mod( 'enable_link_menu', true );

   // main header settings
   $ncare_header_search      = get_theme_mod( 'ncare_header_search', false );
   $header_search_title           = get_theme_mod( 'ncare_header_search_title', 'What are you looking for?' );
   $ncare_header_hamburger   = get_theme_mod( 'ncare_header_hamburger', false );
   $header_right_switch      = get_theme_mod( 'header_right_switch', false );
   $ncare_menu_col           = $header_right_switch ? 'col-xl-10 col-lg-7 col-md-7 col-sm-8 col-6 d-none d-xl-block' : 'col-xl-10 col-lg-8 col-md-9 col-4';
   $ncare_menu_align           = $header_right_switch ? 'justify-content-xl-between' : 'justify-content-end';
   
?>

<!-- header area start -->
<header>
    <div class="tp-header-area tp-header-2 tp-header-transparent">
        <?php if(!empty($ncare_topbar_switch == true)) : ?>
        <div class="tp-header-border">
            <div class="container container-large-2">
                <div class="tp-header-top theme-bg d-none d-lg-block">
                    <div class="row">
                        <div class="col-xl-6 col-lg-7">
                            <div class="tp-header-top-content">
                                <?php if(!empty( $ncare_tel_link )): ?>
                                <span><i class="fa-solid fa-phone-volume"></i>
                                    <?php echo esc_html( $ncare_tel_subtitle ); ?> <a
                                        href="tel:<?php echo esc_html( $ncare_tel_link ); ?>"><?php echo esc_html( $ncare_tel_text ); ?></a></span>
                                <?php endif;?>
                                <?php if(!empty( $ncare_email_address )): ?>
                                <span><i class="fa-sharp fa-solid fa-envelope"></i> <a
                                        href="mailto:<?php echo esc_html( $ncare_email_address ); ?>"><?php echo esc_html( $ncare_email_address ); ?></a></span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-5">
                            <div class="tp-header-top-info d-flex align-items-center justify-content-xl-end">
                                <?php if(!empty($ncare_enable_link_menu)) : ?>
                                <div class="tp-header-top-menu">
                                    <?php if(!empty($ncare_about_link)): ?>
                                    <a
                                        href="<?php echo esc_url( $ncare_about_link ); ?>"><?php echo esc_html__('About', 'ncare'); ?></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_faq_link)): ?>
                                    <a href="<?php echo esc_url( $ncare_faq_link ); ?>"><?php echo esc_html__('Faqs', 'ncare'); ?>
                                    </a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_top_bar_contact_link)): ?>
                                    <a
                                        href="<?php echo esc_url( $ncare_top_bar_contact_link ); ?>"><?php echo esc_html__('Contact', 'ncare'); ?></a>
                                    <?php endif; ?>
                                </div>
                                <?php endif; ?>
                                <?php if(!empty($ncare_enable_social_icon)) : ?>
                                <div class="tp-header-top-social">
                                    <span><?php echo esc_html__('Follow Us:', 'ncare'); ?></span>
                                    <?php if(!empty($ncare_fb_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_fb_link ); ?>"><i
                                            class="fa-brands fa-facebook-f"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_tw_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_tw_link ); ?>"><i
                                            class="fa-brands fa-twitter"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_vm_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_vm_link ); ?>"><i
                                            class="fa-brands fa-vimeo-v"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_pt_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_pt_link ); ?>"><i
                                            class="fa-brands fa-pinterest-p"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_ins_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_ins_link ); ?>"><i
                                            class="fa-brands fa-instagram"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_linkedin_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_linkedin_link ); ?>"><i
                                            class="fa-brands fa-linkedin-in"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_flickr_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_flickr_link ); ?>"><i
                                            class="fa-brands fa-flickr"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_behance_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_behance_link ); ?>"><i
                                            class="fa-brands fa-behance"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_medium_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_medium_link ); ?>"><i
                                            class="fa-brands fa-medium"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_whatsapp_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_whatsapp_link ); ?>"><i
                                            class="fa-brands fa-whatsapp"></i></a>
                                    <?php endif; ?>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <div class="container container-large-2">
            <div class="tp-header-bottom theme-bg-2">
                <div class="row align-items-center">
                    <div class="col-xl-2 col-lg-4 col-md-3 col-8">
                        <div class="logo">
                            <?php ncare_header_logo(); ?>
                        </div>
                    </div>
                    <div class="<?php echo esc_attr($ncare_menu_col); ?>">
                        <div
                            class="tp-header-2-main d-flex align-items-center <?php echo esc_attr($ncare_menu_align); ?>">
                            <div class="main-menu d-none d-xl-block">
                                <nav id="mobile-menu" class="tp-main-menu-content">
                                    <?php ncare_header_menu();?>
                                </nav>
                            </div>
                            <div class="d-none d-md-block">
                                <?php if ( $header_right_switch == true): ?>
                                <div class="tp-header-right d-flex align-items-center justify-content-end">
                                    <?php if ($ncare_header_search == true) :?>
                                    <div class="tp-header-search">
                                        <button class="tp-header-search-btn tp-search-open-btn" type="submit">
                                            <i class="fa-light fa-magnifying-glass"></i>
                                        </button>
                                    </div>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_contact_link)) : ?>
                                    <div class="tp-header-call d-flex align-items-center">
                                        <div class="tp-header-call-icon">
                                            <span><img
                                                    src="<?php echo get_template_directory_uri() . '/assets/img/icon/phone-3.svg' ?>"
                                                    alt="<?php echo esc_attr__( 'phone-icon', 'ncare' ); ?>"></span>
                                        </div>
                                        <div class="tp-header-call-content">
                                            <span><?php echo esc_html__('Phone:', 'ncare'); ?></span>
                                            <a
                                                href="tel:<?php echo esc_html( $ncare_contact_link ); ?>"><?php echo esc_html( $ncare_header_number ); ?></a>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                                </div>
                                <?php endif; ?>
                            </div>
                            <div class="offcanvas-btn d-xl-none ml-30">
                                <button class="offcanvas-open-btn"><i class="fa-solid fa-bars"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- header area end -->

<!-- header-sticky-area -->
<div id="header-sticky" class="<?php echo esc_attr($enable_sticky)?> theme-bg-2">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="tp-header-bottom ">
                    <div class="row align-items-center">
                        <div class="col-xl-2 col-lg-4 col-md-3 col-8">
                            <div class="logo">
                                <?php ncare_header_sticky_logo(); ?>
                            </div>
                        </div>
                        <div class="<?php echo esc_attr($ncare_menu_col); ?>">
                            <div
                                class="tp-header-2-main d-flex align-items-center <?php echo esc_attr($ncare_menu_align); ?>">
                                <div class="main-menu d-none d-xl-block">
                                    <nav class="tp-main-menu-content">
                                        <?php ncare_header_menu();?>
                                    </nav>
                                </div>
                                <div class="d-none d-md-block">
                                    <?php if ( $header_right_switch == true): ?>
                                    <div class="tp-header-right d-flex align-items-center justify-content-end">
                                        <?php if ($ncare_header_search == true) :?>
                                        <div class="tp-header-search">
                                            <button class="tp-header-search-btn tp-search-open-btn" type="submit">
                                                <i class="fa-light fa-magnifying-glass"></i>
                                            </button>
                                        </div>
                                        <?php endif; ?>
                                        <?php if(!empty($ncare_contact_link)) : ?>
                                        <div class="tp-header-call d-flex align-items-center">
                                            <div class="tp-header-call-icon">
                                                <span><img
                                                        src="<?php echo get_template_directory_uri() . '/assets/img/icon/phone-3.svg' ?>"
                                                        alt="<?php echo esc_attr__( 'phone-icon', 'ncare' ); ?>"></span>
                                            </div>
                                            <div class="tp-header-call-content">
                                                <span><?php echo esc_html__('Phone:', 'ncare'); ?></span>
                                                <a
                                                    href="tel:<?php echo esc_html( $ncare_contact_link ); ?>"><?php echo esc_html( $ncare_header_number ); ?></a>
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                    </div>
                                    <?php endif; ?>
                                </div>
                                <div class="offcanvas-btn d-xl-none ml-30">
                                    <button class="offcanvas-open-btn"><i class="fa-solid fa-bars"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- heafer-sticky-area-end -->

<!-- header-search -->
<div class="tpsearchbar tp-sidebar-area tp-search-area">
    <button class="tpsearchbar__close"><i class="fa-sharp fa-regular fa-xmark"></i></button>
    <div class="search-wrap text-center">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6 col-md-10 pt-100 pb-100">
                    <h2 class="tpsearchbar__title"><?php echo esc_html( $header_search_title );?></h2>
                    <div class="tpsearchbar__form">
                        <form action="#">
                            <input type="text" name="search" placeholder="Search Product...">
                            <button class="tpsearchbar__search-btn"><i
                                    class="fa-regular fa-magnifying-glass"></i></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php get_template_part( 'template-parts/offcanvas/offcanvas-1' ); ?>