<?php 

	/**
	 * Template part for displaying header layout one
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
	 *
	 * @package ncare
	*/

   // header styles
   $ncare_transparent_header = get_theme_mod( 'ncare_transparent_header', false );
   $is_transparent_header = function_exists( 'tpmeta_field' ) ? tpmeta_field( 'enable_transparent_header' ) : NULL;
   
   $ncare_sticky_switch = get_theme_mod( 'ncare_sticky_switch', false );
   $enable_sticky = !empty($ncare_sticky_switch) ? 'd-none' : 'tp-header-sticky';

   // topbar settings
   $ncare_topbar_switch = get_theme_mod( 'header_topbar_switch', false );
   $enable_bottom_menu = get_theme_mod( 'enable_bottom_menu', true );

   $ncare_fb_link    = get_theme_mod( 'ncare_fb_link', __( 'facebook.com', 'ncare' ) );
   $ncare_tw_link    = get_theme_mod( 'ncare_tw_link', __( 'twitter.com', 'ncare' ) );
   $ncare_vm_link    = get_theme_mod( 'ncare_vm_link', __( 'vimeo.com', 'ncare' ) );
   $ncare_pt_link    = get_theme_mod( 'ncare_pt_link', __( 'pinterest.com', 'ncare' ) );
   $ncare_ins_link    = get_theme_mod( 'ncare_ins_link', __( 'pinterest.com', 'ncare' ) );
   $ncare_linkedin_link    = get_theme_mod( 'ncare_linkedin_link', __( 'linkedin.com', 'ncare' ) );
   $ncare_behance_link    = get_theme_mod( 'ncare_behance_link', __( 'behance.com', 'ncare' ) );
   $ncare_flickr_link    = get_theme_mod( 'ncare_flickr_link', __( 'flickr.com', 'ncare' ) );
   $ncare_medium_link    = get_theme_mod( 'ncare_medium_link', __( 'medium.com', 'ncare' ) );
   $ncare_whatsapp_link    = get_theme_mod( 'ncare_whatsapp_link', __( '', 'ncare' ) );

   $ncare_about_link              = get_theme_mod( 'ncare_topbar_about_link', __( '#', 'ncare' ) );
   $ncare_faq_link                = get_theme_mod( 'ncare_topbar_faq_link', __( '#', 'ncare' ) );
   $ncare_top_bar_contact_link    = get_theme_mod( 'ncare_topbar_faq_link', __( '#', 'ncare' ) );
   
   $ncare_tel_subtitle        = get_theme_mod( 'ncare_tel_subtitle', __( 'Talk with us', 'ncare' ) );
   $ncare_tel_text            = get_theme_mod( 'ncare_tel_text', __( '+ 202-555-0167', 'ncare' ) );
   $ncare_tel_link = preg_replace("/[^0-9]/", "", $ncare_tel_text);
   $ncare_email_address       = get_theme_mod( 'ncare_email_address', __( 'hix@support.com', 'ncare' ) );
   $ncare_time                = get_theme_mod( 'ncare_time', __( 'Mon - Fri 8:00 - 18:00 / Sunday 8:00 - 14:00', 'ncare' ) );

   $ncare_header_lang         = get_theme_mod( 'ncare_header_lang', false );
   $ncare_header_currency     = get_theme_mod( 'ncare_header_currency', false );
   $ncare_header_account      = get_theme_mod( 'ncare_header_account', false );
   $ncare_header_number       = get_theme_mod( 'ncare_header_number', __( '+(2) 871 382 023', 'ncare' ) );
   $ncare_contact_link = preg_replace("/[^0-9]/", "", $ncare_header_number);

   // main header settings
   $ncare_opening_hours           = get_theme_mod( 'ncare_opening_hours', __( 'Mon _ Sat: 9.00 to 18.00', 'ncare' ) );
   $ncare_header_contact_email    = get_theme_mod( 'ncare_header_contact_email', __( 'needhelp@company.com', 'ncare' ) );
   $ncare_header_search           = get_theme_mod( 'ncare_header_search', false );
   $ncare_header_hamburger        = get_theme_mod( 'ncare_header_hamburger', false );
   $header_right_switch           = get_theme_mod( 'header_right_switch', false );
   $header_search_title           = get_theme_mod( 'ncare_header_search_title', 'What are you looking for?' );
   $ncare_menu_col                = $header_right_switch ? 'col-xl-12 col-lg-8 col-md-9 col-4' : 'col-xl-12 col-lg-8 col-md-9 col-4';
   $ncare_menu_align              = $header_right_switch ? 'justify-content-xl-between justify-content-end' : 'justify-content-center';
   $ncare_cart_align              = $header_right_switch ? 'tp-header-3-cart' : 'tp-header-cart-align';
   
   $ncare_enable_social_icon      = get_theme_mod( 'enable_social_icon', true );
   $ncare_enable_link_menu      = get_theme_mod( 'enable_link_menu', true );

   // woocommerce controls
   $ncare_header_compare  = get_theme_mod( 'ncare_header_compare', false );
   $ncare_header_wishlist = get_theme_mod( 'ncare_header_wishlist', false );
   $ncare_header_cart     = get_theme_mod( 'ncare_header_cart', false );
   $cart = WC()->cart;
   // Get the cart item count
   $cart_item_count = $cart->get_cart_contents_count();

?>

<!-- header area start -->
<header>
    <div class="tp-header-area tp-header-3">
        <div class="tp-header-border">
            <?php if($ncare_topbar_switch == true) : ?>
            <div class="tp-header-top theme-bg d-none d-lg-block">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-6 col-lg-7">
                            <div class="tp-header-top-content">
                                <span><i class="fa-solid fa-phone-volume"></i>
                                    <?php echo esc_html( $ncare_tel_subtitle ); ?> <a
                                        href="tel:<?php echo esc_html( $ncare_tel_link ); ?>"><?php echo esc_html( $ncare_tel_text ); ?></a></span>
                                <span><i class="fa-sharp fa-solid fa-envelope"></i> <a
                                        href="mailto:<?php echo esc_html( $ncare_email_address ); ?>"><?php echo esc_html( $ncare_email_address ); ?></a></span>
                            </div>
                        </div>
                        <div class="col-xl-6 col-lg-5">
                            <div class="tp-header-top-social text-md-end">
                                <span><?php echo esc_html__('Follow Us:', 'ncare'); ?></span>
                                <?php if(!empty($ncare_fb_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_fb_link ); ?>"><i
                                            class="fa-brands fa-facebook-f"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_tw_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_tw_link ); ?>"><i
                                            class="fa-brands fa-twitter"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_vm_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_vm_link ); ?>"><i
                                            class="fa-brands fa-vimeo-v"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_pt_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_pt_link ); ?>"><i
                                            class="fa-brands fa-pinterest-p"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_ins_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_ins_link ); ?>"><i
                                            class="fa-brands fa-instagram"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_linkedin_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_linkedin_link ); ?>"><i
                                            class="fa-brands fa-linkedin-in"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_flickr_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_flickr_link ); ?>"><i
                                            class="fa-brands fa-flickr"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_behance_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_behance_link ); ?>"><i
                                            class="fa-brands fa-behance"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_medium_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_medium_link ); ?>"><i
                                            class="fa-brands fa-medium"></i></a>
                                    <?php endif; ?>
                                    <?php if(!empty($ncare_whatsapp_link)) : ?>
                                    <a href="<?php echo esc_url( $ncare_whatsapp_link ); ?>"><i
                                            class="fa-brands fa-whatsapp"></i></a>
                                    <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>
        <div class="tp-header-exgency theme-bg">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-xl-3 col-6">
                        <div class="tp-header-logo">
                            <?php ncare_header_logo(); ?>
                        </div>
                    </div>
                    <div class="col-xl-7 d-none d-xl-block">
                        <div class="tp-header-exgency-wrap d-flex align-items-center ml-70">
                            <?php if(!empty($ncare_opening_hours)) : ?>
                            <div class="tp-header-exgency-item d-flex align-items-center mr-70">
                                <div class="tp-header-exgency-icon">
                                    <span><i class="fa-sharp fa-solid fa-clock"></i></span>
                                </div>
                                <div class="tp-header-exgency-content">
                                    <h5 class="tp-header-exgency-title">
                                        <?php echo esc_html__('Opening Hours', 'ncare'); ?></h5>
                                    <span><?php echo esc_html( $ncare_opening_hours ); ?></span>
                                </div>
                            </div>
                            <?php endif; ?>
                            <?php if(!empty($ncare_header_contact_email)) : ?>
                            <div class="tp-header-exgency-item d-flex align-items-center">
                                <div class="tp-header-exgency-icon">
                                    <span><i class="fa-sharp fa-solid fa-envelope"></i></span>
                                </div>
                                <div class="tp-header-exgency-content">
                                    <h5 class="tp-header-exgency-title"><?php echo esc_html__('Contact', 'ncare'); ?>
                                    </h5>
                                    <a
                                        href="mailto:needhelp@company.com"><?php echo esc_html( $ncare_header_contact_email ); ?></a>
                                </div>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-xl-2 col-6">
                        <div class="tp-header-exgency-call d-none d-xl-block">
                            <?php if(!empty($ncare_header_contact_email)) : ?>
                            <div class="tp-header-exgency-item d-flex align-items-center justify-content-lg-end">
                                <div class="tp-header-exgency-icon">
                                    <span><i class="flaticon-phone-call"></i></span>
                                </div>
                                <div class="tp-header-exgency-content">
                                    <h5 class="tp-header-exgency-title">
                                        <?php echo esc_html__('Drop A Line', 'ncare'); ?></h5>
                                    <a
                                        href="tel:<?php echo esc_html($ncare_contact_link)?>"><?php echo esc_html($ncare_header_number)?></a>
                                </div>
                            </div>
                            <?php endif; ?>
                        </div>
                        <div class="offcanvas-btn text-end d-xl-none ml-30">
                            <button class="offcanvas-open-btn"><i class="fa-solid fa-bars"></i></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php if($enable_bottom_menu == true) : ?>
        <div class="tp-header-bottom d-none d-xl-block">
            <div class="container">
                <div class="tp-header-bottom-main">
                    <div class="row align-items-center">
                        <div class="<?php echo esc_attr($ncare_menu_col); ?>">
                            <div
                                class="tp-header-2-main d-flex align-items-center <?php echo esc_attr($ncare_menu_align); ?>">
                                <div class="main-menu d-none d-xl-block">
                                    <nav id="mobile-menu" class="tp-main-menu-content">
                                        <?php ncare_header_menu();?>
                                    </nav>
                                </div>
                                <div class="d-none d-md-block">
                                    <?php if ( $header_right_switch == true): ?>
                                    <div class="tp-header-right d-flex align-items-center justify-content-end">
                                        <div class="<?php echo esc_attr( $ncare_cart_align ); ?>">
                                            <div class="tp-header-3-cart-button">
                                                <a href="<?php echo esc_url(wc_get_cart_url()); ?>">
                                                    <span><svg xmlns="http://www.w3.org/2000/svg" width="23" height="22"
                                                            viewBox="0 0 23 22" fill="none">
                                                            <path
                                                                d="M22.8316 4.1286C22.7002 3.93991 22.4886 3.82327 22.2589 3.81344L8.014 3.19846C7.60529 3.18055 7.26374 3.49658 7.24627 3.90403C7.2289 4.31132 7.54393 4.65546 7.95068 4.67296L21.2312 5.24635L18.6199 13.4063H6.9997L4.90033 1.95749C4.85418 1.70657 4.68218 1.49724 4.44496 1.40402L1.00655 0.0511058C0.627594 -0.0974914 0.199971 0.0889371 0.0511428 0.468022C-0.097428 0.847313 0.0886582 1.27586 0.467409 1.42492L3.5247 2.62785L5.66112 14.2776C5.72551 14.6278 6.03026 14.8822 6.38594 14.8822H6.74033L5.93108 17.1335C5.86334 17.3221 5.89125 17.5315 6.00652 17.6954C6.12163 17.8592 6.30885 17.9567 6.50871 17.9567H7.07632C6.7246 18.3488 6.50871 18.865 6.50871 19.4327C6.50871 20.6535 7.5005 21.6465 8.71913 21.6465C9.93776 21.6465 10.9296 20.6535 10.9296 19.4327C10.9296 18.865 10.7137 18.3488 10.362 17.9567H15.1813C14.8294 18.3488 14.6136 18.865 14.6136 19.4327C14.6136 20.6535 15.6051 21.6465 16.824 21.6465C18.0429 21.6465 19.0344 20.6535 19.0344 19.4327C19.0344 18.865 18.8186 18.3488 18.4669 17.9567H19.1572C19.4964 17.9567 19.7712 17.6814 19.7712 17.3418C19.7712 17.0021 19.4964 16.7268 19.1572 16.7268H7.38235L8.0454 14.882H19.1572C19.4776 14.882 19.7611 14.6746 19.8587 14.3693L22.9287 4.77575C22.9993 4.55679 22.9631 4.3174 22.8316 4.1286ZM8.71918 20.4169C8.17737 20.4169 7.73674 19.9756 7.73674 19.4329C7.73674 18.8903 8.17737 18.449 8.71918 18.449C9.261 18.449 9.70157 18.8903 9.70157 19.4329C9.70157 19.9756 9.261 20.4169 8.71918 20.4169ZM16.824 20.4169C16.2822 20.4169 15.8416 19.9756 15.8416 19.4329C15.8416 18.8903 16.2822 18.449 16.824 18.449C17.3658 18.449 17.8064 18.8903 17.8064 19.4329C17.8064 19.9756 17.3658 20.4169 16.824 20.4169Z"
                                                                fill="currentColor" />
                                                        </svg>
                                                    </span>
                                                </a>
                                                <span class="count"><?php echo esc_html( $cart_item_count ); ?></span>
                                            </div>
                                        </div>
                                        <?php if ($ncare_header_search == true) :?>

                                        <div class="tp-header-3-search">
                                            <form method="get" action="<?php print esc_url( home_url( '/' ) );?>">
                                                <div class="tp-header-3-search-input">
                                                    <input type="search" name="s"
                                                        value="<?php print esc_attr( get_search_query() )?>"
                                                        placeholder="<?php print esc_attr__( 'Search ...', 'ncare' );?>">
                                                </div>
                                                <div class="tp-header-3-search-btn">
                                                    <span><i class="fa-light fa-magnifying-glass"></i></span>
                                                </div>
                                            </form>
                                        </div>

                                        <?php endif; ?>
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
    </div>
</header>
<!-- header area end -->


<!-- header-sticky-area -->
<div id="header-sticky" class="<?php echo esc_attr($enable_sticky)?> theme-bg-2">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="tp-header-bottom ">
                    <div class="row align-items-center">
                        <div class="col-xl-2 col-lg-4 col-md-3 col-8">
                            <div class="logo">
                                <?php ncare_header_sticky_logo(); ?>
                            </div>
                        </div>
                        <div class="col-xl-10 col-lg-8 col-md-9 col-4">
                            <div
                                class="tp-header-2-main d-flex align-items-center justify-content-xl-between justify-content-end">
                                <div class="main-menu d-none d-xl-block">
                                    <nav class="tp-main-menu-content">
                                        <?php ncare_header_menu();?>
                                    </nav>
                                </div>
                                <div class="d-none d-md-block">
                                    <?php if ( $header_right_switch == true): ?>
                                    <div class="tp-header-right d-flex align-items-center justify-content-end">
                                        <div class="tp-header-3-cart">
                                            <div class="tp-header-3-cart-button">
                                                <a href="<?php echo esc_url(wc_get_cart_url()); ?>">
                                                    <span><svg xmlns="http://www.w3.org/2000/svg" width="23" height="22"
                                                            viewBox="0 0 23 22" fill="none">
                                                            <path
                                                                d="M22.8316 4.1286C22.7002 3.93991 22.4886 3.82327 22.2589 3.81344L8.014 3.19846C7.60529 3.18055 7.26374 3.49658 7.24627 3.90403C7.2289 4.31132 7.54393 4.65546 7.95068 4.67296L21.2312 5.24635L18.6199 13.4063H6.9997L4.90033 1.95749C4.85418 1.70657 4.68218 1.49724 4.44496 1.40402L1.00655 0.0511058C0.627594 -0.0974914 0.199971 0.0889371 0.0511428 0.468022C-0.097428 0.847313 0.0886582 1.27586 0.467409 1.42492L3.5247 2.62785L5.66112 14.2776C5.72551 14.6278 6.03026 14.8822 6.38594 14.8822H6.74033L5.93108 17.1335C5.86334 17.3221 5.89125 17.5315 6.00652 17.6954C6.12163 17.8592 6.30885 17.9567 6.50871 17.9567H7.07632C6.7246 18.3488 6.50871 18.865 6.50871 19.4327C6.50871 20.6535 7.5005 21.6465 8.71913 21.6465C9.93776 21.6465 10.9296 20.6535 10.9296 19.4327C10.9296 18.865 10.7137 18.3488 10.362 17.9567H15.1813C14.8294 18.3488 14.6136 18.865 14.6136 19.4327C14.6136 20.6535 15.6051 21.6465 16.824 21.6465C18.0429 21.6465 19.0344 20.6535 19.0344 19.4327C19.0344 18.865 18.8186 18.3488 18.4669 17.9567H19.1572C19.4964 17.9567 19.7712 17.6814 19.7712 17.3418C19.7712 17.0021 19.4964 16.7268 19.1572 16.7268H7.38235L8.0454 14.882H19.1572C19.4776 14.882 19.7611 14.6746 19.8587 14.3693L22.9287 4.77575C22.9993 4.55679 22.9631 4.3174 22.8316 4.1286ZM8.71918 20.4169C8.17737 20.4169 7.73674 19.9756 7.73674 19.4329C7.73674 18.8903 8.17737 18.449 8.71918 18.449C9.261 18.449 9.70157 18.8903 9.70157 19.4329C9.70157 19.9756 9.261 20.4169 8.71918 20.4169ZM16.824 20.4169C16.2822 20.4169 15.8416 19.9756 15.8416 19.4329C15.8416 18.8903 16.2822 18.449 16.824 18.449C17.3658 18.449 17.8064 18.8903 17.8064 19.4329C17.8064 19.9756 17.3658 20.4169 16.824 20.4169Z"
                                                                fill="currentColor" />
                                                        </svg>
                                                    </span>
                                                </a>
                                                <span class="count"><?php echo esc_html( $cart_item_count ); ?></span>
                                            </div>
                                        </div>
                                        <?php if ($ncare_header_search == true) :?>
                                        <div class="tp-header-search">
                                            <button class="tp-header-search-btn tp-search-open-btn" type="submit">
                                                <i class="fa-light fa-magnifying-glass"></i>
                                            </button>
                                        </div>
                                        <?php endif; ?>
                                        <?php if(!empty($ncare_header_number)) : ?>
                                        <div class="tp-header-call d-flex align-items-center">
                                            <div class="tp-header-call-icon">
                                                <span><img
                                                        src="<?php echo get_template_directory_uri() . '/assets/img/icon/phone-3.svg' ?>"
                                                        alt="<?php echo esc_attr__( 'phone-icon', 'ncare' ); ?>"></span>
                                            </div>
                                            <div class="tp-header-call-content">
                                                <span><?php echo esc_html__('Phone:', 'ncare'); ?></span>
                                                <a
                                                    href="tel:<?php echo esc_html($ncare_contact_link)?>"><?php echo esc_html($ncare_header_number)?></a>
                                            </div>
                                        </div>
                                        <?php endif; ?>
                                    </div>
                                    <?php endif; ?>
                                </div>
                                <div class="offcanvas-btn d-xl-none ml-30">
                                    <button class="offcanvas-open-btn"><i class="fa-solid fa-bars"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- heafer-sticky-area-end -->
<!-- header-search -->
<div class="tpsearchbar tp-sidebar-area tp-search-area">
    <button class="tpsearchbar__close"><i class="fa-sharp fa-regular fa-xmark"></i></button>
    <div class="search-wrap text-center">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6 col-md-10 pt-100 pb-100">
                    <h2 class="tpsearchbar__title"><?php echo esc_html( $header_search_title );?></h2>
                    <div class="tpsearchbar__form">

                        <?php echo ncare_search_form(); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<?php get_template_part( 'template-parts/offcanvas/offcanvas-1' ); ?>