<?php 

   /**
    * Template part for displaying header side information
    *
    * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
    *
    * @package ncare
   */

   $ncare_offcanvas_logo = get_theme_mod( 'ncare_offcanvas_logo', get_template_directory_uri() . '/assets/img/logo/logo.png' );

   $ncare_offcanvas_details_switch = get_theme_mod( 'ncare_offcanvas_details_switch', false );

   $get_offcanvas_style = get_theme_mod('ncare_offcanvas_style');
   

   if( $get_offcanvas_style == "dark_brown"){
      $offcanvas_style = 'offcanvas__style-darkRed';
   }
   elseif ($get_offcanvas_style == "brown") {
      $offcanvas_style = 'offcanvas__style-brown';
   }
   elseif ($get_offcanvas_style == "green") {
      $offcanvas_style = 'offcanvas__style-green';
   }
   else{
      $offcanvas_style = 'offcanvas__style-primary';
   }


   // offcanvas btn
   $ncare_offcanvas_btn = get_theme_mod( 'ncare_offcanvas_btn_text', __( 'Contact Us', 'ncare' ) );
   $ncare_offcanvas_btn_url = get_theme_mod( 'ncare_offcanvas_btn_url', __( '#', 'ncare' ) );

   $ncare_offcanvas_contact_text = get_theme_mod( 'ncare_offcanvas_contact_title', __( 'we are here', 'ncare' ) );
   $ncare_offcanvas_contact_address = get_theme_mod( 'ncare_offcanvas_contact_addresss', __( '1489 Langley Ave Grand Forks Afb, North.', 'ncare' ) );

?>

<!-- offcanvas area start -->
<div class="offcanvas__area">
    <div class="offcanvas__wrapper">
        <div class="offcanvas__close">
            <button class="offcanvas__close-btn offcanvas-close-btn">
                <svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M11 1L1 11" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                        stroke-linejoin="round" />
                    <path d="M1 1L11 11" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                        stroke-linejoin="round" />
                </svg>
            </button>
        </div>
        <div class="offcanvas__content">
            <?php if ( !empty( $ncare_offcanvas_logo ) ): ?>
            <div class="offcanvas__top mb-70 d-flex justify-content-between align-items-center">
                <div class="offcanvas__logo logo">
                    <a href="<?php print esc_url( home_url( '/' ) );?>">
                        <img src="<?php print esc_url($ncare_offcanvas_logo); ?>" alt="<?php echo esc_attr__('logo','ncare'); ?>">
                    </a>
                </div>
            </div>
            <?php endif; ?>
            <div class="tp-main-menu-mobile">
                <?php ncare_header_menu();?>
            </div>
            <?php if( $ncare_offcanvas_details_switch == true ) : ?>
            <?php if ( !empty( $ncare_offcanvas_btn ) ): ?>
            <div class="offcanvas__btn">
                <a href="<?php echo esc_url($ncare_offcanvas_btn_url); ?>"
                    class="tp-btn"><?php echo esc_html($ncare_offcanvas_btn); ?> <i
                        class="fa-regular fa-chevron-right"></i></a>
            </div>
            <?php endif; ?>
            <div class="side-info-contact">
                <span><?php echo esc_html($ncare_offcanvas_contact_text); ?></span>
                <p><?php echo esc_html($ncare_offcanvas_contact_address); ?></p>
            </div>
            <div class="side-info-social">
                <?php ncare_offcanvas_social_profiles(); ?>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<div class="body-overlay"></div>
<!-- offcanvas area end -->