<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
   *
   * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
   *
   * HOWEVER, on occasion WooCommerce will need to update template files and you
   * (the theme developer) will need to copy the new files to your theme to
   * maintain compatibility. We try to do this as little as possible, but it does
   * happen. When this occurs the version of the template file will be bumped and
   * the readme will list any important changes.
   *
   * @see https://docs.woocommerce.com/document/template-structure/
   * @package WooCommerce\Templates
   * @version 8.8.0
   */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );

$product_column = is_active_sidebar( 'product-sidebar' ) ? 8 : 12;

/**
 * Hook: woocommerce_before_main_content.
   *
   * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
   * @hooked woocommerce_breadcrumb - 20
   * @hooked WC_Structured_Data::generate_website_data() - 30
   */
do_action( 'woocommerce_before_main_content' );

?>
<div class="row">
   <div class="col-lg-12">
      <?php
      if ( woocommerce_product_loop() ) {
         ?>

         <div class="row align-items-center">
            <div class="col-lg-6 col-md-6">
               <div class="tp-product-wrap mb-20">
                  <?php
                  /**
                   * Hook: woocommerce_before_shop_loop.
                     *
                     * @hooked woocommerce_output_all_notices - 10
                     * @hooked woocommerce_result_count - 20
                     * @hooked woocommerce_catalog_ordering - 30
                     */
                  do_action( 'woocommerce_before_shop_loop' );
                  ?>
               </div>
            </div>
            <div class="col-lg-6 col-md-6">
               <div class="tp-product-filter d-flex align-items-center justify-content-md-end mb-10">
                  <?php woocommerce_catalog_ordering();?>
               </div>
            </div>
         </div>
         <?php ?>

         <div class="tp-shop-item-wrapper">
            <?php woocommerce_product_loop_start();
               if ( wc_get_loop_prop( 'total' ) ) {
                  while ( have_posts() ) {
                     the_post(); ?>

                     <?php

                     /**
                      * Hook: woocommerce_shop_loop.
                     */
                     do_action( 'woocommerce_shop_loop' );

                     wc_get_template_part( 'content', 'product' );
                  }
               }

               woocommerce_product_loop_end(); 
            ?>

            <?php
               /**
                * Hook: woocommerce_after_shop_loop.
               *
               * @hooked woocommerce_pagination - 10
               */
               do_action( 'woocommerce_after_shop_loop' );
            ?>
         </div>

            <?php   
      } else {
         /**
          * Hook: woocommerce_no_products_found.
          *
          * @hooked wc_no_products_found - 10
          */
         do_action( 'woocommerce_no_products_found' );
      }
      ?>
   </div>


      <?php
      /**
       * Hook: woocommerce_after_main_content.
         *
         * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
         */
      do_action( 'woocommerce_after_main_content' );

      
      ?>
</div>
<?php
get_footer( 'shop' );
